'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: update_tools.inc,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: tbo $ $Date: 2003/05/05 19:10:49 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************************************
'*
'* owner : peter.junge@sun.com
'*
'* short description : Tools for calc update test
'*
'*************************************************************************************************
'*
' #0 wiebreit
' #0 wiehoch
' #0 werbistdu
' #0 referenz
' #0 allnsklor
' #0 isseswech
' #0 fselect
' #0 test 
' #0 malma
' #0 sAutoPilotFormular
' #0 sAutoPilotGroupbox
' #0 checkindex
'*
'\************************************************************************************************


sub fselect (xrange as integer)

	DocumentCalc.MouseDoubleClick xrange,1
    Kontext "DocumentCalc"
    try
    	FormatSchriftarten
    	Kontext "Schriftarten"
    	Schriftarten.Cancel
    	printlog "OK edit formula is available!"
    	sflag = true
    catch
    	sflag = false
    	if xrange < 7 then
    		printlog "OK we do it again"
    	else
    		warnlog "formula wasn't insert!"
    	end if
    endcatch

end sub

' Neede for test c_010_.inc
function wiebreit
Dim wh as integer
dim sTemp as string
try
  FormatColumnWidthCalc
    Kontext "SpaltenbreiteCalc"
      sTemp = Breite.gettext
      for wh = 1 to 3
        if asc(Right$(sTemp,1)) > 57 or asc(Right$(sTemp,1)) < 48 then  'keine Zahl
          sTemp = left$(sTemp,len(sTemp) -1 )
        else
          'wiebreit = sTemp
          exit for
        end if
      next wh
      SpaltenbreiteCalc.cancel
      wiebreit = sTemp
catch
  wiebreit = "Fehler"
  exceptlog
endcatch
end function
'
'-----------------------------------------------------------
'
' Needed for test c_010_.inc
function wiehoch
dim wh as integer
dim sTemp as string
try
  FormatRowHeightCalc
    Kontext "Zeilenhoehe"
      sTemp = Hoehe.gettext
      for wh = 1 to 3
        if chr$(Right$(sTemp,1)) > 57 or chr$(Right$(sTemp,1)) < 44 then
          sTemp = left$(sTemp,len(sTemp) -1 )
        else
          'wiehoch = wiehoch
          exit for
        end if
      next wh
    Zeilenhoehe.Cancel
    wiehoch = sTemp
catch
  wiehoch = "Fehler"
  exceptlog
endcatch

end function
'
'-----------------------------------------------------------
'
' Needed for test c_010_.inc
function werbistdu
try
  FormatSheetRename
  Kontext "TabelleUmbenennen"
    werbistdu = right(TabellenName.GetText,1)
    TabelleUmbenennen.Ok
catch
  werbistdu = "fealure"
endcatch
end function
'
'-----------------------------------------------------------
'
' Needed for test c_010_.inc
function referenz(wo$, ref())
dim wh%, datis$
  call cgotocell(wo$)
    datis$ = lcase(cZellinhalt(wo$))
    printlog "datis$ " & datis$
    if datis$ = lcase(ref(1)) then
      Printlog "Correlation unmodified after input"
    else
      Warnlog "Correlation not correct after input, default value " & lcase(ref(1)) & " actual value: " & datis$
    end if
      Kontext "DocumentCalc"
      DocumentCalc.typekeys "<SHIFT F4>"
        Kontext
        if active.exists then
          Warnlog "Hinweis: " & active.gettext
          Active.Ok
        end if
    for wh% = 2 to val(ref(0))
      datis$ = lcase(cZellinhalt(wo$))
      if datis$ = lcase(ref(wh%)) then
        Printlog "    " & wh% - 1 & ". SHIFT + F4 has modified the Correlation in the correct way"
      else
        Warnlog "" & wh% - 1 & ". SHIFT + F4 hasn't modified the correlation correct, default value: " & lcase(ref(wh%)) & " actual value: " & datis$
      end if
        Kontext "DocumentCalc"
        DocumentCalc.typekeys "<SHIFT F4>"
        Kontext
        if active.exists then
          Warnlog "Note: " & active.gettext
          Active.Ok
        end if
    next wh%
    datis$ = lcase(cZellinhalt(wo$))
    if datis$ = lcase(ref(1)) then
      Printlog "Correlation after " & wh% - 1 & ". SHIFT + F4 is set to current"
    else
      Warnlog "Correlation after " & wh% - 1 & ". SHIFT + F4 isn't set to current default value: " & lcase(ref(1)) & " actual value: " & datis$
    end if
      Kontext "DocumentCalc"
end function

' Neede for test c_004_.inc
'- - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function allnsklor(was as string, x as integer,y as integer)

    Kontext "DocumentCalc"
    call gMouseClick (1,1)
    call gMouseClick (x,y)
    if wobinich = "A1" then
    	Printlog "    " & Was & "Select by mouseclick (inserted)"
    	allnsklor = true
    else
    	Warnlog "" & Was & "not selected by mouseclick"
    	allnsklor = false
    end if

end function
'- - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function isseswech(was as string, x as integer,y as integer)

    Kontext "DocumentCalc"
    call gMouseClick (1,1)
    call gMouseClick (x,y)
    if wobinich = "A1" then
    	Warnlog "" & Was & "selected by mouseclick"
    	isseswech = true
    else
    	Printlog "OK " & Was & "not selected (deleted)"
    	isseswech = false
    end if

end function
'- - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
sub test

    Kontext "TB_Formularfunktionen"
    '   FormularEigenschaften.Click      ' Dialog hat noch keine ID

    Kontext "TB_Formularfunktionen"
    _Aktivierungsreihenfolge.Click
    Kontext "Aktivierungsreihenfolge"
    Call DialogTest ( Aktivierungsreihenfolge )
    Aktivierungsreihenfolge.Cancel

    Kontext "TB_Formularfunktionen"
    FeldHinzufuegen.Click
    Kontext "Feldauswahl"
    Call DialogTest ( FeldAuswahl )
    Feldauswahl.Close

    Kontext "TB_Formularfunktionen"
    _FormularNavigator.Click
    Kontext "FormularNavigator"
    Call DialogTest ( FormularNavigator )
    FormularNavigator.Close

    Kontext "TB_Formularfunktionen"
    DesigneModus.Click
    Sleep 1
    DesigneModus.Click

end sub
'
'---------------------------------------------------------------------------
'
sub malma(x1,y1,x2,y2,Controltype)

    Kontext "DocumentCalc"
    DocumentCalc.mousedown x1,y1
    DocumentCalc.Mousemove x2,y2
    DocumentCalc.mouseUp x2,y2
    if Controltype = "TabellenControl" then call sAutoPilotFormular
    if Controltype = "Groupbox" then call sAutoPilotGroupbox
    Kontext "DocumentCalc"
    DocumentCalc.Mousemove x2 + 10,y2 + 10
    Kontext "TB_Formularfunktionen"
    Selektion.Click

end sub

' Needed in test c_004c.inc
sub sAutoPilotFormular

	Kontext "AutoPilotTabellenelement"
    Abbrechen.click

end sub
'- - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
sub sAutoPilotGroupbox

    Kontext "AutoPilotGruppenelement"
    Abbrechen.click

end sub
'-----------------------------------------------------------
'
sub checkindex

   DIM i%
   DIM bFlag as boolean
   bFlag = false
   for i% = 1 to (len(HelpAbout.getSelText) - 3)
      if mid(HelpAbout.getSelText, i, 4) = "Calc" then
         bFlag = true
      end if
    next i%

	if bFlag = true then
  		printlog "OK, the correct helppage has appeared"
  	else
  		warnlog "The help page for " & HelpAbout.getSelText & " has appeared instead of the help for starcalc"
  	end if


end sub

'
'-----------------------------------------------------------
'
