'*************************************************************************
'*
'*  $RCSfile: shortxml.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:52:53 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : joerg.skottke@sun.com
'*
'* short description : XML Save testscript (4th file for first.bas)
'*
'************************************************************************
'*
' #1 tXML           ' short XML-save test for all applications
'*
'\***********************************************************************

testcase tXML
'///<u>Description</u>:Quick save/load-test for all applications

   try
'///<ul><li>open a Writer document</li>
      printlog "- Writer XML-Saving"
      gApplication = "WRITER"
      hNewDocument
      Kontext "DocumentWriter"
'///+<li>Insert a short text</li>
      DocumentWriter.TypeKeys "This is a test for XML-export.<Return>"
'///+<li>Save as xml_writ.sxw</li>
      hSpeichernUnterKill ( gOfficePath + "user\work\xml_writ.sxw" )
'///+<li>Close the doc</li>
      hCloseDocument
'///+<li>Open it again</li>
      hDateiOeffnen ( gOfficePath + "user\work\xml_writ.sxw" )
'///+<li>Close it</li></ul>
      hCloseDocument
   catch
      Warnlog "Writer XML-Saving : something happens!"
   endcatch

   try
'///<ul><li>open a Calc document</li>
      printlog "- Calc XML-Saving"
      gApplication = "CALC"
      hNewDocument
      Kontext "DocumentCalc"
'///+<li>insert a short text</li>
      DocumentCalc.TypeKeys "This is a test for XML-export.<Return>"
'///+<li>save as xml_calc.sxw</li>
      hSpeichernUnterKill ( gOfficePath + "user\work\xml_calc.sxc" )
'///+<li>close the doc</li>
      hCloseDocument
'///+<li>open it again</li>
      hDateiOeffnen ( gOfficePath + "user\work\xml_calc.sxc" )
'///+<li>close it</li></ul>
      hCloseDocument
   catch
      Warnlog "Calc XML-Saving : something happens!"
   endcatch

   try
'///<ul><li>Open an Impress document</li>
      printlog "- Impress XML-Saving"
      gApplication = "IMPRESS"
      hNewDocument
      Kontext "DocumentImpress"
'///+<li>insert a rectangle</li>
      hRechteckErstellen ( 30, 30, 60, 60 )
'///+<li>save as xml_impr.sxw</li>
      hSpeichernUnterKill ( gOfficePath + "user\work\xml_impr.sxi")
'///+<li>close the doc</li>
      hCloseDocument
'///+<li>open it again</li>
      hDateiOeffnen ( gOfficePath + "user\work\xml_impr.sxi" )
'///+<li>close it</li></ul>
      hCloseDocument
   catch
      Warnlog "Impress XML-Saving : something happens!"
   endcatch

   try
'///<ul><li>open a Draw document</li>
      printlog "- Draw XML-Saving"
      gApplication = "DRAW"
      hNewDocument
      Kontext "DocumentDraw"
'///+<li>insert a rectangle</li>
      hRechteckErstellen ( 30, 30, 60, 60 )
'///+<li>save as xml_draw.sxw</li>
      hSpeichernUnterKill ( gOfficePath + "user\work\xml_draw.sxd")
'///+<li>close the doc</li>
      hCloseDocument
'///+<li>open it again</li>
      hDateiOeffnen ( gOfficePath + "user\work\xml_draw.sxd" )
'///+<li>close it</li></ul>
      hCloseDocument
   catch
      Warnlog "Draw XML-Saving : something happens!"
   endcatch

   try
'///<ul><li>open a Master document</li>
      printlog "- Masterdocument XML-Saving"
      gApplication = "MASTERDOC"
      hNewDocument
      Kontext "DocumentMasterDoc"
'///+<li>insert a short text</li>
      DocumentMasterDoc.TypeKeys "This is a test for XML-export.<Return>"
'///+<li>save as xml_master.sxw</li>
      hSpeichernUnterKill ( gOfficePath + "user\work\xml_master.sxg" )
'///+<li>close the doc</li>
      hCloseDocument
'///+<li>open it again</li>
      hDateiOeffnen ( gOfficePath + "user\work\xml_master.sxg" )
      Kontext "Navigator"
      sleep (1)
      if Navigator.Exists(5) then Navigator.Close
'///+<li>close the navigator and close the document</li></ul>
      hCloseDocument
   catch
      Warnlog "MasterDocument XML-Saving : something happens!"
   endcatch

   try
'///<ul><li>open a Math doc</li>
      printlog "- Math XML-Saving"
      gApplication = "MATH"
      hNewDocument
'///+<li>insert a short formula</li>
      SchreibenInMathDok "a over b"
'///+<li>save as xml_math.sxw</li>
      hSpeichernUnterKill ( gOfficePath + "user\work\xml_math.sxm")
'///+<li>close the doc</li>
      hCloseDocument
'///+<li>open it again</li>
      hDateiOeffnen ( gOfficePath + "user\work\xml_math.sxm" )
'///+<li>close it</li></ul>
      hCloseDocument
   catch
      Warnlog "Math XML-Saving : something happens!"
   endcatch
endcase

'-------------------------------------------------------------------------
