'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: id_006.inc,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: tbo $ $Date: 2003/04/30 11:49:38 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* Owner : thorsten.bosbach@sun.com
'*
'* short description :
'*
'***********************************************************************************
' #1 tiToolsSpellchecking
' #1 tiToolsSpellcheckingAutomatic
' #1 tiToolsThesaurus
' #1 tiToolsHyphenation
' #1 tiToolsAutoCorrect
' #1 tiToolsMacro
' #1 tiToolsConfigure
' #1 tiToolsGallery
' #1 tiToolsEyedropper
' #1 tiToolsOptions
'\**********************************************************************************

sub id_006
   printLog Chr(13) + "---------    id_006    ----------"

   call tiToolsSpellchecking
   call tiToolsSpellcheckingAutomatic
   call tiToolsThesaurus
   call tiToolsHyphenation
   call tiToolsAutoCorrect
   call tiToolsMacro
   call tiToolsConfigure
   call tiToolsGallery
   call tiToolsEyedropper
   call tiToolsOptions ' get just called one time here...

   Call tToolsOptionsTest ' global one
end sub

testcase tiToolsSpellchecking
'/// open application ///'
   Call hNewDocument
   sleep 2
'/// call subroutine 'hSetSpellHypLanguage' for setting the default language in th eoptions, to enable it for languages, which don't provide a dictionary (usually asian ones) ///'
   call hSetSpellHypLanguage
'/// create textframe with content ///'
   Call hTextrahmenErstellen ("Whaaaat", 10, 10, 30, 40)
   sleep 1
'/// Tools->Spellcheck->Check ///'
   ToolsSpellCheckDraw
   sleep 1
   Kontext "Rechtschreibung"
   if Rechtschreibung.exists then
      Call DialogTest ( Rechtschreibung )
'/// close dialog 'Spellcheck' ///'
      Rechtschreibung.Close
   else
      warnlog " Spellcheck dialog didn't came up :-("
   endif
   sleep 1
'/// say OK to messagebox about 'Spellcheck has been completed' ///'
   Kontext "Messagebox"
   Messagebox.OK
   sleep (2)
   Kontext
   if Messagebox.exists (5) then Messagebox.OK
'/// close application ///'
   Call hCloseDocument
endcase

testcase tiToolsSpellcheckingAutomatic
'/// open application ///'
   Call hNewDocument
'/// Tools->Spellcheck->AutoSpellcheck ///'
   ToolsSpellcheckAutoSpellcheck
'/// create textframe with text ///'
   Call hTextrahmenErstellen ("What", 10, 10, 30, 40)
   wait 2000
'/// Tools->Spellcheck->AutoSpellcheck ///'
   ToolsSpellcheckAutoSpellcheck
'/// close application ///'
   Call hCloseDocument
endcase

testcase tiToolsThesaurus
'/// open application ///'
   Call hNewDocument
'/// call subroutine 'hSetSpellHypLanguage' for setting the default language in th eoptions, to enable it for languages, which don't provide a dictionary (usually asian ones) ///'
   call hSetSpellHypLanguage
'/// create textframe with text and select it ///'
   Call hTextrahmenErstellen ("SimpleTest" + "<Mod1 Shift left>", 10, 10, 30, 40)
   try
'/// Tools->Thesaurus ///'
      ToolsThesaurusDraw
         Kontext "Thesaurus"
         Call DialogTest ( Thesaurus )
'/// click button 'language' ///'
         Sprache.Click
            Kontext "SpracheAuswaehlen"
            Call DialogTest ( SpracheAuswaehlen )
'/// cancel dialog 'select language' ///'
         SpracheAuswaehlen.cancel
         Kontext "Thesaurus"
'/// click button 'search' ///'
         Nachschlagen.Click
            kontext
'/// if messagebox exist, say OK; (word not found) ///'
            if Messagebox.exists (5) then
               printlog "Messagebox: word not in thesaurus: '"+Messagebox.gettext+"'"
               Messagebox.ok
            endif
         Kontext "Thesaurus"
'/// cancel dialog 'Thesaurus' ///'
      Thesaurus.Cancel
   catch
      warnlog "Thesaurus didn't work :-("
   endcatch
'/// close application ///'
   Call hCloseDocument
endcase

testcase tiToolsHyphenation
'/// open application ///'
   Call hNewDocument
'/// Tools->Hyphenation ///'
      ToolsHyphenationDraw
      sleep 2
'/// Tools->Hyphenation ///'
      ToolsHyphenationDraw
'/// close application ///'
   Call hCloseDocument
endcase

testcase tiToolsAutoCorrect
  dim iLanguage as integer ' for resetting the language
'/// open application ///'
   Call hNewDocument
   sleep 1
'/// Tools->Autocorrect ///'
  ToolsAutocorrect
   sleep 1
   Kontext
'/// select tabpage 'Replace' ///'
   Messagebox.SetPage TabErsetzung
      Kontext "TabErsetzung"
      Call DialogTest ( TabErsetzung )
'/// remember the language, that is selected in the 'Replacements and exceptions for Language' Listbox ///'
      iLanguage = WelcheSprache.GetSelIndex
'///+ change the language to the 1st from the top ///'
      WelcheSprache.Select 1 ' select language with empty list
'///+ type something into the field 'replace' ///'
      Kuerzel.SetText "a"
'///+ type something into the field 'with' ///'
      ErsetzenDurch.SetText "b"
'///+ click button 'new' ///'
      Neu.Click
      sleep 1
'///+ click button 'delete' ///'
      Loeschen.Click
      sleep 1
      try
'///+ click button 'delete' again ///'
         Loeschen.Click
      catch
         printlog "ok was CRASH before" '#
      endcatch
'///+ if nothing happens it is ok, was a Crash before :-( ///'
'///+ restore cthe remembered language ///'
   WelcheSprache.select (iLanguage)
   Kontext
'/// select tabpage 'Exception' ///'
   Messagebox.SetPage TabAusnahmen
      Kontext "TabAusnahmen"
      Call DialogTest ( TabAusnahmen )
'/// type something into the field 'Abbreviations' ///'
         Abkuerzungen.settext "Lala"
'///+ click button 'new' in 'Abbreviations' ///'
         AbkuerzungenNeu.click
'///+ click button 'delete' in 'Abbreviations' ///'
         AbkuerzungenLoeschen.click
'/// type something into the field 'Word with TWo INitial CApitals' ///'
         Woerter.settext "LALA"
'///+ check the checkbox 'AutoInclude' in 'Word with TWo INitial CApitals' ///'
         WoerterAutomatisch.Check
'///+ click button 'new' in 'Word with TWo INitial CApitals' ///'
         WoerterNeu.click
'///+ click button 'delete' in 'Word with TWo INitial CApitals' ///'
         WoerterLoeschen.click
'///+ UNcheck the checkbox 'AutoInclude' in 'Word with TWo INitial CApitals' ///'
         WoerterAutomatisch.UnCheck
   Kontext
'/// select tabpage 'Options' ///'
   Messagebox.SetPage TabOptionen
      Kontext "TabOptionen"
      Call DialogTest ( TabOptionen )
   Kontext
'/// select tabpage 'Custom Quotes' ///'
   Messagebox.SetPage TabTypografisch
      Kontext "TabTypografisch"  ' 1a
'/// in the part of 'single quotes': ///'
'///+ check 'replace' ///'
'///+ click 'start quote' ///'
      EinfacheErsetzen.Check
      EinfachWortAnfang.Click
      Kontext "Sonderzeichen"
      Call Dialogtest2 ( Sonderzeichen, 1 )
'///+  cancel dialog 'start quote' ///'
      Sonderzeichen.Cancel
      Kontext "TabTypografisch"  ' 1b
'///+ click 'end quote' ///'
      EinfachWortEnde.Click
      Kontext "Sonderzeichen"
      Call Dialogtest2 ( Sonderzeichen, 2 )
'///+  cancel dialog 'end quote' ///'
      Sonderzeichen.Cancel
      Kontext "TabTypografisch"  ' 1s
'///+ click button 'default' ///'
      EinfachStandard.Click

      Kontext "TabTypografisch"  ' 2a
'/// in the part of 'double quotes': ///'
'///+ click 'start quote' ///'
      DoppeltWortAnfang.Click
      Kontext "Sonderzeichen"
      Call Dialogtest2 ( Sonderzeichen, 3 )
'///+  cancel dialog 'start quote' ///'
      Sonderzeichen.Cancel
      Kontext "TabTypografisch"  ' 2b
'///+ click 'end quote' ///'
      DoppeltWortEnde.Click
      Kontext "Sonderzeichen"
      Call Dialogtest2 ( Sonderzeichen, 4 )
'///+  cancel dialog 'end quote' ///'
      Sonderzeichen.Cancel
      Kontext "TabTypografisch"  ' 2s
'///+ click button 'default' ///'
      DoppeltStandard.Click
'///+ UNcheck 'replace' ///'
      EinfacheErsetzen.UnCheck
'/// cancel dialog 'AtorCorrect' ///'
   TabTypografisch.cancel
'/// close application ///'
   Call hCloseDocument
endcase

testcase tiToolsMacro
'/// open application ///'
   Call hNewDocument
   sleep 2
'/// Tools->Macro ///'
   ToolsMacro
   Kontext "Makro"
   Call DialogTest ( Makro )
'/// click button 'organizer...' ///'
   Verwalten.Click

   Kontext
'/// switch to tabpage 'Modules' ///'
   Messagebox.SetPage TabModule
   Kontext "TabModule"
   Call DialogTest ( TabModule )

   Kontext
'/// switch to tabpage 'Libraries' ///'
   Messagebox.SetPage TabBibliotheken
   Kontext "TabBibliotheken"
   Call DialogTest ( TabBibliotheken )
'/// click lbutton 'append' ///'
      Hinzufuegen.Click
      Kontext "Messagebox"
      if Messagebox.Exists (5) then
     if Messagebox.GetRT = 304 then
            Warnlog Messagebox.Gettext
            Messagebox.Ok
     endif
      end if
      Kontext "OeffnenDlg"
'/// cancel dialog 'append libraries' ///'
      OeffnenDlg.Cancel
      Kontext "TabBibliotheken"
'/// click button 'new' ///'
      Neu.Click
      kontext "NeueBibliothek"
      sleep 1 'Bibliotheksname
'/// cancel dialog 'new library' ///'
      NeueBibliothek.cancel
   Kontext "TabBibliotheken"
'/// close dialog 'macro organizer' ///'
   TabBibliotheken.Close

   Kontext "Makro"
'/// close dialog 'macro' ///'
   Makro.Cancel
'/// close application ///'
   Call hCloseDocument
endcase

testcase tiToolsConfigure
'/// open application ///'
   Call hNewDocument
   sleep 2
'/// Tools->Configure ///'
   ToolsConfigure
   sleep 3
   Kontext
'/// switch to tabpage 'Menu' ///'
   Active.SetPage TabMenu             ' 1 ------------------
   sleep 3
      Kontext "TabMenu"
    if TabMenu.Exists (5) then
      printlog "TabMenu is there :-)"
    else
      warnlog "TabMenu is not there :-("
    endif
      Call DialogTest ( TabMenu )
      sleep 2
'/// click button 'new' ///'
      Neu.Click         'upper part
      sleep 1
      kontext
      if Messagebox.exists (5) then
         if Messagebox.GetRT = 304 then
            printlog "Messagebox: function exists...: '"+Messagebox.getText+"'"
            Messagebox.ok
         else
            kontext "CustomizeToolbars"
            if CustomizeToolbars.exists (5) then
               warnlog "we got into 'CustomizeToolbars' dialog ! WHY ?!?!:-<"
               CustomizeToolbars.cancel
               exit sub
            endif
'/// click button 'delete' ///'
         Kontext "TabMenu"
    if TabMenu.Exists (5) then
      printlog "TabMenu is there :-) 2"
    else
      warnlog "TabMenu is not there :-( 2"
    endif
            Loeschen.Click
            sleep 1
         endif
         Kontext "TabMenu"
      endif
'/// click button 'new menu' ///'
      NeuesMenue.Click
      sleep 1
'/// click button 'modify' ///'
      Aendern.Click
      sleep 1
'/// click button 'delete' ///'
      Loeschen.Click
      sleep 1
'/// click button 'delete' ///'
      Loeschen.Click
      sleep 1
'/// click button 'downwards' ///'
      Abwaerts.Click
'/// click button 'upwards' ///'
      Aufwaerts.Click
'/// click button 'load...' ///'
      Laden.Click
      Kontext "OeffnenDlg"
      sleep 3
      Call DialogTest ( OeffnenDlg )
'/// cancel dialog 'Load Menu Configuration' ///'
      OeffnenDlg.Cancel
      sleep 3
      Kontext "TabMenu"
'/// click button 'save...' ///'
      Speichern.Click
      Kontext "SpeichernDlg"
      sleep 3
      Call DialogTest ( SpeichernDlg )
'/// cancel dialog 'Save Menu Configuration' ///'
      SpeichernDlg.Cancel
      sleep 3
      Kontext "TabMenu"
'/// click button 'reset' ///'
      Zuruecksetzen.Click
   Kontext
'/// switch to tabpage 'Keyboard' ///'
   Messagebox.SetPage TabTastatur         ' 2 ------------------
   Kontext "TabTastatur"
   Call DialogTest ( TabTastatur )
'/// type keys [cursor down] to select F2; since F1 appears here, disabled ///'
      Tastatur.TypeKeys ("<down>")
'/// click button 'modify' ///'
      Aendern.Click
'/// click button 'delete' ///'
      Loeschen.Click
'/// click button 'load...' ///'
      Laden.Click
      Kontext "OeffnenDlg"
      sleep 3
      Call DialogTest ( OeffnenDlg )
'/// cancel dialog 'Load Keyboard Configuration' ///'
      OeffnenDlg.Cancel
      sleep 3
      Kontext "TabTastatur"
'/// click button 'save...' ///'
      Speichern.Click
      Kontext "SpeichernDlg"
      sleep 3
      Call DialogTest ( SpeichernDlg )
'/// cancel dialog 'Save Keyboard Configuration' ///'
      SpeichernDlg.Cancel
      sleep 3
      Kontext "TabTastatur"
'/// click button 'reset' ///'
      Zuruecksetzen.Click
      sleep 2
   Kontext
'/// switch to tabpage 'Status Bar' ///'
   Messagebox.SetPage TabStatusleiste     ' 3 ------------------
   Kontext "TabStatusleiste"
   Call DialogTest ( TabStatusleiste )
'/// click button 'load...' ///'
      Laden.Click
      Kontext "OeffnenDlg"
      sleep 3
      Call DialogTest ( OeffnenDlg )
'/// cancel dialog 'Load Status Bar Configuration' ///'
      OeffnenDlg.Cancel
      sleep 3
      Kontext "TabStatusleiste"
'/// click button 'save...' ///'
      Speichern.CLick
      Kontext "SpeichernDlg"
      sleep 3
      Call DialogTest ( SpeichernDlg )
'/// cancel dialog 'Save Status Bar Configuration' ///'
      SpeichernDlg.Cancel
      sleep 3
      Kontext "TabStatusleiste"
'/// click button 'Reset' ///'
      Zuruecksetzen.Click
   sleep 1
   Kontext
'/// switch to tabpage 'Toolbars' ///'
   Messagebox.SetPage TabSymbolleisten    ' 4 ------------------
   Kontext "TabSymbolleisten"
   Call DialogTest ( TabSymbolleisten )
'/// click button 'new' ///'
      Neu.Click
      sleep 1
'/// click button 'delete' ///'
      Loeschen.Click
'/// click button 'load...' ///'
      Laden.Click
      Kontext "OeffnenDlg"
      sleep 3
      Call DialogTest ( OeffnenDlg )
'/// cancel dialog 'Load Toolbar Configuration' ///'
      OeffnenDlg.Cancel
      sleep 3
      Kontext "TabSymbolleisten"
'/// click button 'save...' ///'
      Speichern.Click
      Kontext "SpeichernDlg"
      Call DialogTest ( SpeichernDlg )
'/// cancel dialog 'Load Toolbar Configuration' ///'
      SpeichernDlg.Cancel
      Kontext "TabSymbolleisten"
'/// click button 'Reset' ///'
      Zuruecksetzen.Click
'/// click button 'Customize...' ///'
      Bearbeiten.Click
         kontext "CustomizeToolbars"
         sleep 1
'/// in 'Available Buttons' Expand the 1st fold from the top, select the 2nd entry from the top ///'
      AvailableButtons.TypeKeys "<home>+<down>"
'/// click button 'Add' ///'
      Add.click
         ' 1st try for a more reliable function  to add buttons
         kontext
         if active.exists(2) then
            printlog "Active about 'Function already in toolbar :-(', say OK: '" + active.getText + "'"
            active.ok
            Kontext "CustomizeToolbars"
            AvailableButtons.TypeKeys "<down>"
            Add.click
         endif
         Kontext "CustomizeToolbars"
'/// in 'Buttons in Use' select the firste entry from the top ///'
      ButtonsInUse.TypeKeys "<home><down>"
'/// click button 'MoveUp' ///'
      MoveUp.click
'/// click button 'Icons' ///'
         Icons.Click
            Kontext "SchaltflaecheBearbeiten"
            sleep 1
'/// cancel dialog 'Customize Buttons' ///'
            SchaltflaecheBearbeiten.Cancel
      kontext "CustomizeToolbars"
'/// click button 'MoveDown' ///'
      MoveDown.click
'/// click button 'Remove' ///'
      Remove.click
'/// in 'Buttons in Use' just use the <down> cursor key ///'
      Toolbars.TypeKeys "<down>"
'/// click button 'Default' ///'
      Apply.click
'/// click button 'Default' ///'
         Default.Click
         sleep 1
         kontext "CustomizeToolbars"
'/// close dialog 'Customize Toolbars' ///'
         CustomizeToolbars.Close
         sleep 1
'/// Tools->Configure ///'
   ToolsConfigure
   sleep 1
   Kontext
'/// switch to tabpage 'Events' ///'
   Messagebox.SetPage TabEreignisse
   Kontext "TabEreignisse"
   Call DialogTest ( TabEreignisse )
   sleep 1
'/// cancel dialog 'Customize' ///'
   TabEreignisse.cancel
'/// close application ///'
   Call hCloseDocument
endcase

testcase tiToolsGallery
'/// open application ///'
   Call hNewDocument
'/// Tools->Gallery ///'
      ToolsGallery
      sleep 1
'/// Tools->Gallery ///'
      ToolsGallery
'/// close application ///'
   Call hCloseDocument
endcase

testcase tiToolsEyedropper
'/// open application ///'
   Call hNewDocument
'/// Tools->Eyedropper ///'
   ToolsEyedropper
      Kontext "Pipette"
      Call DialogTest (Pipette)
'/// close dialog 'Eyedropper' ///'
   Pipette.Close
   sleep 1
'/// close application ///'
   Call hCloseDocument
endcase

testcase tiToolsOptions
'/// open application ///'
   Call hNewDocument
'/// Tools->Options ///'
      ToolsOptions
      sleep 1
      kontext "OptionenDlg"
'/// close dialog 'Options' ///'
      OptionenDlg.Close
'/// close application ///'
   Call hCloseDocument
endcase

