'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: sxw_02.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:45 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* owner : joerg.sievers@sun.com
'*
'* short description : XML Writer Include File
'*
'\***********************************************************************************
   Dim Isliste(250) as string
   Dim OutputPath as string

sub sxw_02

   printlog "--------------------------- SXW_02.INC ------------------------------"
   call hEnablePrettyPrinting
   call tframes
   call hEnablePrettyPrinting(1)
   printlog "---------------------------   C J K    ------------------------------"
   call tschina
   call ttchina
   call tkorean
   call tjapan

end sub

'-------------------------------------------------------------------------

testcase tframes
 Dim Searchstring(20) as string
 Dim StyleBodyA as string
 Dim StyleDefinitionA as string
 Dim i as integer
 Dim a as integer
 Dim AdditionalParameter as string
 printlog "+- frames.sdw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\frames.sdw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\frames.sxw") , gWriterFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\frames.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\frames") )
    if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\styles.xml")) = FALSE then
     warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
    end if
   if XMLWellFormed (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\frames.sxw"))
     sleep(2)
     call hCloseDocument
     sleep(2)
'    -----------
'      T E X T
'    -----------
'/// just a comment ///
'    </text:sequence-decls><draw:text-box draw:style-name="fr1" draw:name="Frame1" text:anchor-type="page" text:anchor-page-number="1" svg:x="1.062cm" svg:y="3.866cm" svg:width="2.436cm" fo:min-height="1.88cm" draw:z-index="0">
'-------------------------------------------------------------------------
     Searchstring(1) = "<draw:text-box draw:style-name=" & CHR$(34)
     Searchstring(2) = "draw:name=" & CHR$(34)
     Searchstring(3) = "text:anchor-type=" & CHR$(34) & "page" & CHR$(34)
     Searchstring(4) = "text:anchor-page-number=" & CHR$(34) & "1" & CHR$(34)
     Searchstring(5) = "svg:x=" & CHR$(34)
     Searchstring(6) = "svg:y=" & CHR$(34)
     Searchstring(7) = "svg:width=" & CHR$(34)
     Searchstring(8) = "fo:min-height=" & CHR$(34)
     Searchstring(9) = "draw:z-index=" & CHR$(34) & "0" & CHR$(34)
     printlog "++ Feature(s) to be searched for:"
     printlog " |"
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "/text:sequence-decls" , 1)
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
         warnlog "Draw Text Box (Frame): " & Searchstring(i) & " not found!"
      end if
     Next i

'    <text:p text:style-name="P1">Anchor to page</text:p>
'-------------------------------------------------------------------------
     Searchstring(1) = ">Anchor to page<"
     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 1)
      printlog " +- " & Searchstring(1)
      if InStr (AdditionalParameter , Searchstring(1)) = 0 then
         warnlog "Draw Text Box (Frame) Content: " & Searchstring(1) & " not found!"
      end if

'    </draw:text-box><draw:text-box draw:style-name="fr2" draw:name="Frame5" text:anchor-type="page" text:anchor-page-number="1" svg:x="2.2cm" svg:y="11.751cm" svg:width="2.436cm" fo:min-height="1.88cm" draw:z-index="4">
'    </draw:text-box><draw:text-box draw:style-name="fr3" draw:name="Frame6" text:anchor-type="page" text:anchor-page-number="1" svg:x="4.392cm" svg:y="16.037cm" svg:width="2.436cm" fo:min-height="1.88cm" draw:z-index="5">
'    </draw:text-box><draw:text-box draw:style-name="fr4" draw:name="Frame7" text:anchor-type="page" text:anchor-page-number="1" svg:x="10.266cm" svg:y="16.037cm" svg:width="2.436cm" fo:min-height="1.88cm" draw:z-index="6">
'    </draw:text-box><draw:text-box draw:style-name="fr5" draw:name="Frame8" text:anchor-type="page" text:anchor-page-number="1" svg:x="2.97cm" svg:y="19.66cm" svg:width="2.436cm" fo:min-height="1.88cm" draw:z-index="7">
'    </draw:text-box><draw:text-box draw:style-name="fr6" draw:name="Frame9" text:anchor-type="page" text:anchor-page-number="1" svg:x="13.312cm" svg:y="19.08cm" svg:width="2.648cm" fo:min-height="2.409cm" draw:z-index="8">
'-------------------------------------------------------------------------
     Searchstring(1) = "</draw:text-box>"
     Searchstring(2) = "<draw:text-box"
     Searchstring(3) = "draw:style-name=" & CHR$(34)
     Searchstring(4) = "draw:name=" & CHR$(34)
     Searchstring(5) = "text:anchor-type=" & CHR$(34) & "page" & CHR$(34)
     Searchstring(6) = "text:anchor-page-number=" & CHR$(34) & "1" & CHR$(34)
     Searchstring(7) = "svg:x=" & CHR$(34)
     Searchstring(8) = "svg:y=" & CHR$(34)
     Searchstring(9) = "svg:width=" & CHR$(34)
     Searchstring(10) = "fo:min-height=" & CHR$(34)
     Searchstring(11) = "draw:z-index=" & CHR$(34)
'-------------------------------------------------------------------------
    For a = 1 to 5
     printlog " ..searching in '/draw:text-box' number " & a
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "/draw:text-box" , a)
     For i = 1 to 11
      printlog " +- " & Searchstring(i)
      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
         warnlog "Draw Text Box (Frame): " & Searchstring(i) & " not found!"
      end if
     Next i
    Next a

'    <text:p text:style-name="P2">No wrap</text:p>
'-------------------------------------------------------------------------
     Searchstring(1) = ">No wrap<"
     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 2)
      printlog " +- " & Searchstring(1)
      if InStr (AdditionalParameter , Searchstring(1)) = 0 then
         warnlog "Draw Text Box (Frame) Content: " & Searchstring(1) & " not found!"
      end if

'    <text:p text:style-name="P2">Page wrap</text:p>
'-------------------------------------------------------------------------
     Searchstring(1) = ">Page wrap<"
     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 3)
      printlog " +- " & Searchstring(1)
      if InStr (AdditionalParameter , Searchstring(1)) = 0 then
         warnlog "Draw Text Box (Frame) Content: " & Searchstring(1) & " not found!"
      end if

'    <text:p text:style-name="P1"><text:span text:style-name="T1">Optimal</text:span> <text:span text:style-name="T1">page wrap</text:span></text:p>
'-------------------------------------------------------------------------
     Searchstring(1) = ">Optimal<"
     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 4)
      printlog " +- " & Searchstring(1)
      if InStr (AdditionalParameter , Searchstring(1)) = 0 then
         warnlog "Draw Text Box (Frame) Content: " & Searchstring(1) & " not found!"
      end if

'    <text:p text:style-name="P1"><text:span text:style-name="T1">Wrap</text:span> <text:span text:style-name="T1">through</text:span></text:p>
'-------------------------------------------------------------------------
     Searchstring(1) = ">Wrap<"
     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 5)
      printlog " +- " & Searchstring(1)
      if InStr (AdditionalParameter , Searchstring(1)) = 0 then
         warnlog "Draw Text Box (Frame) Content: " & Searchstring(1) & " not found!"
      end if

'    <text:p text:style-name="P2">Background</text:p>
'-------------------------------------------------------------------------
     Searchstring(1) = ">Background<"
     printlog " +- " & Searchstring(1)
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 6)
      printlog " +- " & Searchstring(1)
      if InStr (AdditionalParameter , Searchstring(1)) = 0 then
         warnlog "Draw Text Box (Frame) Content: " & Searchstring(1) & " not found!"
      end if

'    <text:p text:style-name="P1"><draw:text-box draw:style-name="fr7" draw:name="Frame2" text:anchor-type="paragraph" svg:x="1.201cm" svg:y="0.416cm" svg:width="2.436cm" fo:min-height="1.88cm" draw:z-index="1">
'-------------------------------------------------------------------------
     Searchstring(1) = "<draw:text-box"
     Searchstring(2) = "draw:style-name=" & CHR$(34)
     Searchstring(3) = "draw:name=" & CHR$(34)
     Searchstring(4) = "text:anchor-type=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(5) = "svg:x=" & CHR$(34)
     Searchstring(6) = "svg:y=" & CHR$(34)
     Searchstring(7) = "svg:width=" & CHR$(34)
     Searchstring(8) = "fo:min-height=" & CHR$(34)
     Searchstring(9) = "draw:z-index=" & CHR$(34)
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 11)
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
         warnlog "Draw Text Box (Frame): " & Searchstring(i) & " not found!"
      end if
     Next i

'    </draw:text-box><text:s/>He heard quiet steps behind him. <text:span text:style-name="T2">C</text:span><draw:text-box draw:style-name="fr7" draw:name="Frame3" text:anchor-type="char" svg:x="10.624cm" svg:y="0.508cm" svg:width="2.436cm" fo:min-height="1.88cm" draw:z-index="2">
'    </draw:text-box> didn&apos;t bode well. Who could be following him this late at night and in this deadbeat <text:span text:style-name="T1">(</text:span><draw:text-box draw:style-name="fr8" draw:name="Frame4" text:anchor-type="as-char" svg:x="5.994cm" svg:y="-1.409cm" svg:width="2.436cm" fo:min-height="1.88cm" draw:z-index="3">
'-------------------------------------------------------------------------
     Searchstring(1) = "<draw:text-box"
     Searchstring(2) = "draw:style-name=" & CHR$(34)
     Searchstring(3) = "draw:name=" & CHR$(34)
     Searchstring(4) = "text:anchor-type=" & CHR$(34) & "char" & CHR$(34)
     Searchstring(5) = "svg:x=" & CHR$(34)
     Searchstring(6) = "svg:y=" & CHR$(34)
     Searchstring(7) = "svg:width=" & CHR$(34)
     Searchstring(8) = "fo:min-height=" & CHR$(34)
     Searchstring(9) = "draw:z-index=" & CHR$(34)
'-------------------------------------------------------------------------
    For a = 1 to 2
     printlog " ..searching in '/draw:text-box' number " & a+6
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "/draw:text-box" , a+6)
     if a = 2 then
       Searchstring(4) = "text:anchor-type=" & CHR$(34) & "as-char" & CHR$(34)
     end if
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
         warnlog "Draw Text Box (Frame): " & Searchstring(i) & " not found!"
      end if
     Next i
    Next a

'    <text:p text:style-name="P1"><draw:text-box draw:style-name="fr9" draw:name="Frame10" text:anchor-type="paragraph" svg:x="6.729cm" svg:y="0.55cm" svg:width="2cm" fo:min-height="2cm" draw:z-index="9">
'-------------------------------------------------------------------------
     Searchstring(1) = "<draw:text-box"
     Searchstring(2) = "draw:style-name=" & CHR$(34)
     Searchstring(3) = "draw:name=" & CHR$(34)
     Searchstring(4) = "text:anchor-type=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(5) = "svg:x=" & CHR$(34)
     Searchstring(6) = "svg:y=" & CHR$(34)
     Searchstring(7) = "svg:width=" & CHR$(34)
     Searchstring(8) = "fo:min-height=" & CHR$(34)
     Searchstring(9) = "draw:z-index=" & CHR$(34)
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 24)
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
         warnlog "Draw Text Box (Frame): " & Searchstring(i) & " not found!"
      end if
     Next i

'    <text:p text:style-name="P1"><draw:text-box draw:style-name="fr10" draw:name="Frame11" text:anchor-type="paragraph" svg:x="4.535cm" svg:y="0.25cm" svg:width="6.241cm" fo:min-height="1.289cm" draw:z-index="10">
'-------------------------------------------------------------------------
     Searchstring(1) = "<draw:text-box"
     Searchstring(2) = "draw:style-name=" & CHR$(34)
     Searchstring(3) = "draw:name=" & CHR$(34)
     Searchstring(4) = "text:anchor-type=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(5) = "svg:x=" & CHR$(34)
     Searchstring(6) = "svg:y=" & CHR$(34)
     Searchstring(7) = "svg:width=" & CHR$(34)
     Searchstring(8) = "fo:min-height=" & CHR$(34)
     Searchstring(9) = "draw:z-index=" & CHR$(34)
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 39)
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
         warnlog "Draw Text Box (Frame): " & Searchstring(i) & " not found!"
      end if
     Next i

'    <text:p text:style-name="P1"><draw:text-box draw:style-name="fr11" draw:name="Frame12" text:anchor-type="paragraph" svg:x="2.979cm" svg:y="0.46cm" svg:width="7.911cm" fo:min-height="2.487cm" draw:z-index="11">
'-------------------------------------------------------------------------
     Searchstring(1) = "<draw:text-box"
     Searchstring(2) = "draw:style-name=" & CHR$(34)
     Searchstring(3) = "draw:name=" & CHR$(34)
     Searchstring(4) = "text:anchor-type=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(5) = "svg:x=" & CHR$(34)
     Searchstring(6) = "svg:y=" & CHR$(34)
     Searchstring(7) = "svg:width=" & CHR$(34)
     Searchstring(8) = "fo:min-height=" & CHR$(34)
     Searchstring(9) = "draw:z-index=" & CHR$(34)
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 49)
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
         warnlog "Draw Text Box (Frame): " & Searchstring(i) & " not found!"
      end if
     Next i

'    <text:p text:style-name="P1"><draw:text-box draw:style-name="fr12" draw:name="Frame13" text:anchor-type="paragraph" svg:x="3.29cm" svg:y="0.37cm" svg:width="8.548cm" fo:min-height="2.741cm" draw:z-index="12">
'-------------------------------------------------------------------------
     Searchstring(1) = "<draw:text-box"
     Searchstring(2) = "draw:style-name=" & CHR$(34)
     Searchstring(3) = "draw:name=" & CHR$(34)
     Searchstring(4) = "text:anchor-type=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(5) = "svg:x=" & CHR$(34)
     Searchstring(6) = "svg:y=" & CHR$(34)
     Searchstring(7) = "svg:width=" & CHR$(34)
     Searchstring(8) = "fo:min-height=" & CHR$(34)
     Searchstring(9) = "draw:z-index=" & CHR$(34)
'-------------------------------------------------------------------------
     AdditionalParameter = GetLineInXMLBody(gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 59)
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (AdditionalParameter , Searchstring(i)) = 0 then
         warnlog "Draw Text Box (Frame): " & Searchstring(i) & " not found!"
      end if
     Next i

'    -----------------------
'       Frame S T Y L E S
'    -----------------------
'  <style:style style:name="fr1" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:wrap="parallel" style:number-wrapped-paragraphs="no-limit" style:vertical-pos="from-top" style:vertical-rel="page" style:horizontal-pos="from-left" style:horizontal-rel="paragraph"/>
'  </style:style>
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2) = "style:parent-style-name=" & CHR$(34)
     Searchstring(3) = "style:wrap=" & CHR$(34) & "parallel" & CHR$(34)
     Searchstring(4) = "style:number-wrapped-paragraphs=" & CHR$(34) & "no-limit" & CHR$(34)
     Searchstring(5) = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(6) = "style:vertical-rel=" & CHR$(34) & "page" & CHR$(34)
     Searchstring(7) = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(8) = "style:horizontal-rel=" & CHR$(34) & "paragraph" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "/text:sequence-decls" , 1)
     printlog " fr1 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 8
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i

'  <style:style style:name="fr2" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:run-through="foreground" style:wrap="none" style:vertical-pos="from-top" style:vertical-rel="page" style:horizontal-pos="from-left" style:horizontal-rel="paragraph"/>
'  </style:style>
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2) = "style:parent-style-name=" & CHR$(34)
     Searchstring(3) = "style:run-through=" & CHR$(34) & "foreground" & CHR$(34)
     Searchstring(4) = "style:wrap=" & CHR$(34) & "none" & CHR$(34)
     Searchstring(5) = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(6) = "style:vertical-rel=" & CHR$(34) & "page" & CHR$(34)
     Searchstring(7) = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(8) = "style:horizontal-rel=" & CHR$(34) & "paragraph" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "/draw:text-box" , 1)
     printlog " fr2 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 8
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i

'  <style:style style:name="fr3" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:run-through="foreground" style:wrap="parallel" style:number-wrapped-paragraphs="no-limit" style:vertical-pos="from-top" style:vertical-rel="page" style:horizontal-pos="from-left" style:horizontal-rel="paragraph"/>
'  </style:style>
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2) = "style:parent-style-name=" & CHR$(34)
     Searchstring(3) = "style:wrap=" & CHR$(34) & "parallel" & CHR$(34)
     Searchstring(4) = "style:run-through=" & CHR$(34) & "foreground" & CHR$(34)
     Searchstring(5) = "style:number-wrapped-paragraphs=" & CHR$(34) & "no-limit" & CHR$(34)
     Searchstring(6) = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(7) = "style:vertical-rel=" & CHR$(34) & "page" & CHR$(34)
     Searchstring(8) = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(9) = "style:horizontal-rel=" & CHR$(34) & "paragraph" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "/draw:text-box" , 2)
     printlog " fr3 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i

'  <style:style style:name="fr4" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:run-through="foreground" style:wrap="dynamic" style:number-wrapped-paragraphs="no-limit" style:vertical-pos="from-top" style:vertical-rel="page" style:horizontal-pos="from-left" style:horizontal-rel="paragraph"/>
'  </style:style>
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2) = "style:parent-style-name=" & CHR$(34)
     Searchstring(3) = "style:wrap=" & CHR$(34) & "dynamic" & CHR$(34)
     Searchstring(4) = "style:run-through=" & CHR$(34) & "foreground" & CHR$(34)
     Searchstring(5) = "style:number-wrapped-paragraphs=" & CHR$(34) & "no-limit" & CHR$(34)
     Searchstring(6) = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(7) = "style:vertical-rel=" & CHR$(34) & "page" & CHR$(34)
     Searchstring(8) = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(9) = "style:horizontal-rel=" & CHR$(34) & "paragraph" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "/draw:text-box" , 3)
     printlog " fr4 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i

'  <style:style style:name="fr5" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:run-through="foreground" style:wrap="run-through" style:vertical-pos="from-top" style:vertical-rel="page" style:horizontal-pos="from-left" style:horizontal-rel="page"/>
'  </style:style>
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2) = "style:parent-style-name=" & CHR$(34)
     Searchstring(3) = "style:wrap=" & CHR$(34) & "run-through" & CHR$(34)
     Searchstring(4) = "style:run-through=" & CHR$(34) & "foreground" & CHR$(34)
     Searchstring(5) = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(6) = "style:vertical-rel=" & CHR$(34) & "page" & CHR$(34)
     Searchstring(7) = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(8) = "style:horizontal-rel=" & CHR$(34) & "page" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "/draw:text-box" , 4)
     printlog " fr5 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 8
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i

'  <style:style style:name="fr6" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:run-through="background" style:wrap="run-through" style:vertical-pos="from-top" style:vertical-rel="page" style:horizontal-pos="from-left" style:horizontal-rel="paragraph"/>
'  </style:style>
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2) = "style:parent-style-name=" & CHR$(34)
     Searchstring(3) = "style:wrap=" & CHR$(34) & "run-through" & CHR$(34)
     Searchstring(4) = "style:run-through=" & CHR$(34) & "background" & CHR$(34)
     Searchstring(5) = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(6) = "style:vertical-rel=" & CHR$(34) & "page" & CHR$(34)
     Searchstring(7) = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(8) = "style:horizontal-rel=" & CHR$(34) & "paragraph" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "/draw:text-box" , 5)
     printlog " fr6 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 8
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i

'  <style:style style:name="fr7" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:wrap="parallel" style:number-wrapped-paragraphs="no-limit" style:vertical-pos="from-top" style:vertical-rel="paragraph" style:horizontal-pos="from-left" style:horizontal-rel="paragraph"/>
'  </style:style>
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2) = "style:parent-style-name=" & CHR$(34)
     Searchstring(3) = "style:wrap=" & CHR$(34) & "parallel" & CHR$(34)
     Searchstring(4) = "style:number-wrapped-paragraphs=" & CHR$(34) & "no-limit" & CHR$(34)
     Searchstring(5) = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(6) = "style:vertical-rel=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(7) = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(8) = "style:horizontal-rel=" & CHR$(34) & "paragraph" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 11 , 1)
     printlog " fr7 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 8
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i

'  <style:style style:name="fr8" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:wrap="parallel" style:number-wrapped-paragraphs="no-limit" style:vertical-pos="from-top" style:horizontal-pos="from-left" style:horizontal-rel="paragraph"/>
'  </style:style>
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2) = "style:parent-style-name=" & CHR$(34)
     Searchstring(3) = "style:wrap=" & CHR$(34) & "parallel" & CHR$(34)
     Searchstring(4) = "style:number-wrapped-paragraphs=" & CHR$(34) & "no-limit" & CHR$(34)
     Searchstring(5) = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(6) = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(7) = "style:horizontal-rel=" & CHR$(34) & "paragraph" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "/draw:text-box" , 8 , 1)
     printlog " fr8 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 7
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i

'  <style:style style:name="fr9" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:protect="content size position" style:wrap="parallel" style:number-wrapped-paragraphs="no-limit" style:vertical-pos="from-top" style:vertical-rel="paragraph" style:horizontal-pos="from-left" style:horizontal-rel="paragraph"/>
'  </style:style>
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2) = "style:parent-style-name=" & CHR$(34)
     Searchstring(3) = "style:protect=" & CHR$(34) & "content size position" & CHR$(34)
     Searchstring(4) = "style:wrap=" & CHR$(34) & "parallel" & CHR$(34)
     Searchstring(5) = "style:number-wrapped-paragraphs=" & CHR$(34) & "no-limit" & CHR$(34)
     Searchstring(6) = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(7) = "style:vertical-rel=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(8) = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(9) = "style:horizontal-rel=" & CHR$(34) & "paragraph" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 24 , 1)
     printlog " fr9 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i

'  <style:style style:name="fr10" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:wrap="parallel" style:number-wrapped-paragraphs="no-limit" style:vertical-pos="from-top" style:vertical-rel="paragraph" style:horizontal-pos="from-left" style:horizontal-rel="paragraph" style:border-line-width-left="0.002cm 0.088cm 0.141cm" style:border-line-width-bottom="0.002cm 0.088cm 0.141cm" fo:padding-left="0.203cm" fo:padding-right="0.203cm" fo:padding-top="0.203cm" fo:padding-bottom="0.66cm" fo:border-left="0.231cm double #0000ff" fo:border-bottom="0.231cm double #0000ff" style:shadow="#ff0000 -0.483cm 0.483cm"/>
'  </style:style>
'-------------------------------------------------------------------------
     Searchstring(1)  = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2)  = "style:parent-style-name=" & CHR$(34)
     Searchstring(3)  = "style:wrap=" & CHR$(34) & "parallel" & CHR$(34)
     Searchstring(4)  = "style:number-wrapped-paragraphs=" & CHR$(34) & "no-limit" & CHR$(34)
     Searchstring(5)  = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(6)  = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(7)  = "style:horizontal-rel=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(8)  = "style:border-line-width-left=" & CHR$(34)
     Searchstring(9)  = "style:border-line-width-bottom=" & CHR$(34)
     Searchstring(10) = "fo:padding-left=" & CHR$(34)
     Searchstring(11) = "fo:padding-right=" & CHR$(34)
     Searchstring(12) = "fo:padding-top=" & CHR$(34)
     Searchstring(13) = "fo:padding-bottom=" & CHR$(34)
     Searchstring(14) = "fo:border-left=" & CHR$(34)
     Searchstring(15) = "double"
     Searchstring(16) = "#0000ff"
     Searchstring(17) = "fo:border-bottom=" & CHR$(34)
     Searchstring(18) = "style:shadow=" & CHR$(34) & "#ff0000"
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 39 , 1)
     printlog " fr10 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 18
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i

'  <style:style style:name="fr11" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:wrap="parallel" style:number-wrapped-paragraphs="no-limit" style:vertical-pos="from-top" style:vertical-rel="paragraph" style:horizontal-pos="from-left" style:horizontal-rel="paragraph" fo:background-color="#ffff00">
'    <style:background-image/>
'   </style:properties>
'  </style:style>
'-------------------------------------------------------------------------
     Searchstring(1) = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2) = "style:parent-style-name=" & CHR$(34)
     Searchstring(3) = "style:wrap=" & CHR$(34) & "parallel" & CHR$(34)
     Searchstring(4) = "style:number-wrapped-paragraphs=" & CHR$(34) & "no-limit" & CHR$(34)
     Searchstring(5) = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(6) = "style:vertical-rel=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(7) = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(8) = "style:horizontal-rel=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(9) = "fo:background-color=" & CHR$(34) & "#ffff00" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 49 , 1)
     printlog " fr11 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 9
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i

'  <style:style style:name="fr12" style:family="graphics" style:parent-style-name="Frame">
'   <style:properties style:wrap="parallel" style:number-wrapped-paragraphs="no-limit" style:vertical-pos="from-top" style:vertical-rel="paragraph" style:horizontal-pos="from-left" style:horizontal-rel="paragraph" fo:background-color="transparent">
'    <style:background-image/>
'    <style:columns fo:column-count="2" fo:column-gap="0cm">
'     <style:column style:rel-width="2338*" fo:margin-left="0cm" fo:margin-right="0cm"/>
'     <style:column style:rel-width="2338*" fo:margin-left="0cm" fo:margin-right="0cm"/>
'    </style:columns>
'   </style:properties>
'  </style:style>
'
'
' Searchstring(s) added since 633d:
'  - fo:column-gap="

'-------------------------------------------------------------------------
     Searchstring(1)  = "style:family=" & CHR$(34) & "graphics" & CHR$(34)
     Searchstring(2)  = "style:parent-style-name=" & CHR$(34)
     Searchstring(3)  = "style:wrap=" & CHR$(34) & "parallel" & CHR$(34)
     Searchstring(4)  = "style:number-wrapped-paragraphs=" & CHR$(34) & "no-limit" & CHR$(34)
     Searchstring(5)  = "style:vertical-pos=" & CHR$(34) & "from-top" & CHR$(34)
     Searchstring(6)  = "style:vertical-rel=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(7)  = "style:horizontal-pos=" & CHR$(34) & "from-left" & CHR$(34)
     Searchstring(8)  = "style:horizontal-rel=" & CHR$(34) & "paragraph" & CHR$(34)
     Searchstring(9)  = "fo:background-color=" & CHR$(34) & "transparent" & CHR$(34)
     Searchstring(10) = "<style:background-image/>"
     Searchstring(11) = "<style:columns fo:column-count=" & CHR$(34) & "2" & CHR$(34)
     Searchstring(12) = "style:rel-width=" & CHR$(34) & "2338*" & CHR$(34)
     Searchstring(13) = "fo:margin-left=" & CHR$(34)
     Searchstring(14) = "</style:columns>"
     Searchstring(15) = "<style:properties"
     Searchstring(16) = "</style:properties>"
     Searchstring(17) = "fo:column-gap=" & CHR$(34)
'-------------------------------------------------------------------------
     StyleBodyA = GetBodiesItemStyleName (gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml") , "text:p" , 59, 1)
     printlog " fr12 = " & StyleBodyA
     printlog " =========="
     StyleDefinitionA = GetXMLValueLineExtra ((gOfficePath & ConvertPath("user\work\xml\writer\update\frames\content.xml")), "office:document-content", "office:automatic-styles;style:style" , "style:name" , StyleBodyA)
     For i = 1 to 17
      printlog " +- " & Searchstring(i)
      if InStr (StyleDefinitionA , Searchstring(i)) = 0 then
         warnlog "Frame Style: " & Searchstring(i) & " not found!"
      end if
     Next i
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tschina
 Dim i as integer
 Dim a as integer
 Dim xXMLStyleName as string
 Dim xPath as string
 Dim AttributeSearch(50) as string
 Dim AttributeValue(50) as string
  printlog "+- zh_cn_text.sxw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\zh_cn_text.sxw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\zh_cn_text.sxw") , gWriterFilter) = TRUE then
     call hCloseDocument
     UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\zh_cn_text.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\zh_cn_text") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\zh_cn_text\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\zh_cn_text\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\zh_cn_text\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\zh_cn_text.sxw"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase ttchina
 Dim i as integer
 Dim a as integer
 Dim xXMLStyleName as string
 Dim xPath as string
 Dim AttributeSearch(50) as string
 Dim AttributeValue(50) as string
  printlog "+- zh_tw_text.sxw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\zh_tw_text.sxw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\zh_tw_text.sxw") , gWriterFilter) = TRUE then
     call hCloseDocument
     UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\zh_tw_text.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\zh_tw_text") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\zh_tw_text\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\zh_tw_text\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\zh_tw_text\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\zh_tw_text.sxw"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tkorean
 Dim i as integer
 Dim a as integer
 Dim xXMLStyleName as string
 Dim xPath as string
 Dim AttributeSearch(50) as string
 Dim AttributeValue(50) as string
  printlog "+- ko_text.sxw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\ko_text.sxw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\ko_text.sxw") , gWriterFilter) = TRUE then
     call hCloseDocument
     UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\ko_text.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\ko_text") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\ko_text\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\ko_text\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\ko_text\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\ko_text.sxw"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tjapan
 Dim i as integer
 Dim a as integer
 Dim xXMLStyleName as string
 Dim xPath as string
 Dim AttributeSearch(50) as string
 Dim AttributeValue(50) as string
  printlog "+- jp_text.sxw"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\writer\jp_text.sxw"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\writer\update\jp_text.sxw") , gWriterFilter) = TRUE then
     call hCloseDocument
     UnpackStorage( gOfficePath & ConvertPath("user\work\xml\writer\update\jp_text.sxw") , gOfficePath & ConvertPath("user\work\xml\writer\update\jp_text") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\jp_text\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\jp_text\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\writer\update\jp_text\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\writer\update\jp_text.sxw"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

