'*************************************************************************
'*
'*  $RCSfile: b_res_Copy_Table_Autopilot.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:52:53 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : marc.schwanz@sun.com
'*
'* short description : copy table resource test
'*
'************************************************************************
'*
' #1 tCopy_Table_Dialog_Definition_and_data
' #1 tCopy_Table_Dialog_Attach_data
'*
'\***********************************************************************
Dim sDSName as string
Dim sTabName as string
dim i as integer

sub Copy_Table_Autopilot

   printlog "------------------- Copy_Table_Test.inc ------------------------"

   sDSName = "Bibliography"
   sTabName = "biblio"

   call tCopy_Table_Dialog_Definition_and_data
   call sDeleteTable( "Bibliography" , "biblio2" ) 
   call tCopy_Table_Dialog_Attach_data
   call sDeleteTable( "Bibliography" , "biblio2" )
   
end sub
'--------------------------------------------------------------------
testcase tCopy_Table_Dialog_Definition_and_data    
    '/// open a new document
    printlog "open a new document"
   call hNewDocument 
    '/// open the database beamer
    printlog "open the database beamer"
   ViewCurrentDatabase
   sleep(1)
    '/// select the datasource Bibliography and the table biblio
    printlog "select the datasource Bibliography and the table biblio"
   sSelectTable( "Bibliography" , "biblio" )
   sleep(1)
    '/// copy the table via CTRL+C and paste it again with CTRL+V 
    printlog "copy the table via CTRL+C and paste it again with CTRL+V"
   Kontext "DatabaseBeamer"
      Kontext "DatabaseSelection"    
       DatabaseSelection.TypeKeys "<MOD1 C>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<UP>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<MOD1 V>" , true
        sleep(3)
    '/// the copy table dialog appear
    printlog "the copy table dialog appear"  
    Kontext "CopyDatabaseTable"
      if not CopyDatabaseTable.Exists(3) then
        warnlog "the Copy Table Autopilot doesn't appear"
        goto endsub
      endif      
    Kontext "CopyDatabaseTable"
      call Dialogtest(CopyDatabaseTable)
      '/// click next
      printlog "click next"   
     NextBt.Click
      '/// there should be a message that the table name already exists.
      printlog "there should be a message that the table name already exists."   
     Kontext "MessageBox"
       If not MessageBox.Exists(1) then
        warnlog "There have to be an error messages that the table name already exists"
       else
        MessageBox.OK
       endif   
      '/// change the table name to biblio2
      printlog "change the table name to biblio2" 
     Kontext "TabCopyDatabaseTable"          
       TableName.setText "biblio2"
       DefinitionAndData.Check
     Kontext "CopyDatabaseTable"
        '/// click next
        printlog "click next" 
       NextBt.Click
       sleep(1)
      Kontext "TabColumnSelect"    
        '/// add all columns
        printlog "add all columns"  
       call Dialogtest(TabColumnSelect)
       AddAll.Click
       sleep(1)
      Kontext "CopyDatabaseTable"
        '/// click next
        printlog "click next" 
       NextBt.Click
       sleep(1)
      Kontext "TabTypeSelect"
        call Dialogtest(TabTypeSelect)
      Kontext "CopyDatabaseTable"
        '/// click OK
        printlog "click OK"   
        CopyDatabaseTable.OK  
   
    sleep(1)   
   call hCloseDocument

endcase
'--------------------------------------------------------------------
testcase tCopy_Table_Dialog_Attach_data
    '/// open a new document
    printlog "open a new document"
   call hNewDocument 
    '/// open the database beamer
    printlog "open the database beamer"   
   ViewCurrentDatabase
   sleep(1)
    '/// select the datasource Bibliography and the table biblio2
    printlog "select the datasource Bibliography and the table biblio2" 
   sSelectTable( "Bibliography" , "biblio" )
    '/// copy the table via CTRL+C and paste it again with CTRL+V
    printlog "copy the table via CTRL+C and paste it again with CTRL+V" 
   Kontext "DatabaseBeamer"
    Kontext "DatabaseSelection"    
   DatabaseSelection.TypeKeys "<MOD1 C>" , true
   sleep(1)
   DatabaseSelection.TypeKeys "<UP>" , true
   sleep(1)
   DatabaseSelection.TypeKeys "<MOD1 V>" , true
   sleep(3)
    '/// the copy table dialog appear
    printlog "the copy table dialog appear"  
   Kontext "CopyDatabaseTable"
   if not CopyDatabaseTable.Exists(3) then
      warnlog "the Copy Table Autopilot doesn't appear"
      goto endsub
   endif
    '/// change the table name to biblio2
    printlog "change the table name to biblio2" 
   Kontext "CopyDatabaseTable"
   Kontext "TabCopyDatabaseTable"   
   TableName.setText "biblio2"
    '/// select Definition and Data
    printlog "select Definition and Data" 
   DefinitionAndData.Check
    '/// click next
    printlog "click next"
   Kontext "CopyDatabaseTable"
   NextBt.Click
   sleep(1)
    '/// add all columns
    printlog "add all columns"   
   Kontext "TabColumnSelect"
   AddAll.Click
   sleep(1)
    '/// click next
    printlog "click next"  
   Kontext "CopyDatabaseTable"
   NextBt.Click
   sleep(1)
    '/// click OK
    printlog "click OK"
   CopyDatabaseTable.OK 
   sleep(1) 
    '/// select the datasource Bibliography and the table biblio2
    printlog "select the datasource Bibliography and the table biblio2" 
   sSelectTable( "Bibliography" , "biblio2" )
    '/// copy the table via CTRL+C and paste it again with CTRL+V
    printlog "copy the table via CTRL+C and paste it again with CTRL+V" 
   Kontext "DatabaseBeamer"
    Kontext "DatabaseSelection"    
   DatabaseSelection.TypeKeys "<MOD1 C>" , true
   sleep(1)
   DatabaseSelection.TypeKeys "<UP>" , true
   sleep(1)
   DatabaseSelection.TypeKeys "<MOD1 V>" , true
   sleep(3)
    '/// change the table name to biblio2
    printlog "change the table name to biblio2" 
   Kontext "CopyDatabaseTable"
   Kontext "TabCopyDatabaseTable"   
   TableName.setText "biblio2"
    '/// select attach data
    printlog "select attach data"
   AttachData.Check
   Kontext "CopyDatabaseTable"
    '/// click next
    printlog "click next"  
   NextBt.Click
   sleep(1)
    Kontext "TabNameMatching"
      call Dialogtest(TabNameMatching) 
    Kontext "CopyDatabaseTable"
    '/// click OK
    printlog "click OK" 
   CopyDatabaseTable.OK 
   call hCloseDocument

endcase
'--------------------------------------------------------------------
sub checkIfTableLoaded
   Kontext "DatabaseBeamer"
   Kontext "DatabaseTableView"   
   sleep(2)
   if AllRecords.Caption = "" then
      checkIfTableLoaded
   endif
end sub
'--------------------------------------------------------------------
sub sDeleteTable( sDSName , sTabName )
   
   printlog "Delete the table " + sTabName + " in the database " + sDSName + "."
   
   call hNewDocument 
   
   ViewCurrentDatabase
   sleep(1)
   Kontext "DatabaseBeamer"
    Kontext "DatabaseSelection"
    dim iNoDS as integer
    iNoDS = DatabaseSelection.getItemCount   
   for i = 1 to iNoDS
      DatabaseSelection.Select i
      if DatabaseSelection.getText = sDSName then
         i = iNoDS
      endif
   next i
   DatabaseSelection.TypeKeys "<ADD>"
   DatabaseSelection.TypeKeys "<DOWN>"
   DatabaseSelection.TypeKeys "<DOWN>"
   DatabaseSelection.TypeKeys "<DOWN>"
   DatabaseSelection.TypeKeys "<ADD>"
   sleep (1)
   'Kontext "LoginDialog"
    'if LoginDialog.Exists then
    '    Password.setText "testuser"
    '    LoginDialog.OK
    'endif    

   Kontext "DatabaseBeamer"
    Kontext "DatabaseSelection"
   DatabaseSelection.TypeKeys "<DOWN>"
    iNoDS = DatabaseSelection.getItemCount
   dim iNoDS2 as integer
   iNoDS2 = DatabaseSelection.getSelIndex
   for i = iNoDS2 to iNoDS
      DatabaseSelection.Select i
      if DatabaseSelection.getText = sTabName then
         i = iNoDS
         DatabaseSelection.TypeKeys "<DELETE>"
         sleep(1)
         Kontext "MessageBox"
         MessageBox.Yes
         sleep(1)
      endif
   next i
   sleep(1)
   call hCloseDocument
end sub
'--------------------------------------------------------------------
sub sSelectTable( sDSName , sTabName )

   printlog "select table: " + sTabName + " from datasource " + sDSName + "." 

   sleep(1)
   Kontext "DatabaseBeamer"
    Kontext "DatabaseSelection"
    dim iNoDS as integer
    iNoDS = DatabaseSelection.getItemCount   
   for i = 1 to iNoDS
      DatabaseSelection.Select i
      if DatabaseSelection.getText = sDSName then
         i = iNoDS
      endif
   next i
   DatabaseSelection.TypeKeys "<ADD>"
   DatabaseSelection.TypeKeys "<DOWN>"
   DatabaseSelection.TypeKeys "<DOWN>"
   DatabaseSelection.TypeKeys "<DOWN>"
   DatabaseSelection.TypeKeys "<ADD>"

   Kontext "DatabaseBeamer"
    Kontext "DatabaseSelection"
   DatabaseSelection.TypeKeys "<DOWN>"
    iNoDS = DatabaseSelection.getItemCount
   dim iNoDS2 as integer
   iNoDS2 = DatabaseSelection.getSelIndex
   for i = iNoDS2 to iNoDS
      DatabaseSelection.Select i
      if DatabaseSelection.getText = sTabName then
         i = iNoDS
      endif
   next i   
   sleep(1)
   checkIfTableLoaded()    
   sleep(1)

end sub
