'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: base_03.inc,v $
'*
'*  $Revision: 1.5 $
'*
'*  last change: $Author: msc $ $Date: 2003/05/19 10:25:20 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* owner : marc.schwanz@sun.com
'*
'* short description : Base Context Menus and objectbar "Query"
'*
'************************************************************************
'*
' #1 tAdministrate
' #1 tSQLCommand
' #1 tDisconnect
' #1 tNewQuery
' #1 tNewSQLCommand
' #1 tExecute
' #1 tClearQuery
' #1 tSwitchDesign
' #1 tAddTable
' #1 tFunctions
' #1 tTableName
' #1 tAliasName
' #1 tNativeSQL
' #1 tDistinctValues
' #1 tEdit
' #1 tCut
' #1 tCopy
' #1 tPaste
' #1 tUndo
' #1 tRedo 
'*
'\***********************************************************************************
'--------------------------------------------------------------------------------------'
sub base_03

   printlog "------------------- base_03.inc --------------------"

   printlog "------------------- Context menu -------------------"

   call tAdministrate
   call tSQLCommand
   call tDisconnect
   call tNewQuery
   call tNewSQLCommand

   printlog "----------------- Objectbar Query ------------------"

   call tExecute
   call tClearQuery
   call tSwitchDesign
   call tAddTable
   call tFunctions
   call tTableName
   call tAliasName
   call tNativeSQL
   call tDistinctValues
   call tEdit
   call tCut
   call tCopy
   call tPaste
   call tUndo
   call tRedo

end sub
'-------------------------------------------------------------------------
testcase tAdministrate

  call hNewDocument
  ViewCurrentDatabase
  sleep(4)
  Kontext "OB_DB_Beamer"
    if OB_DB_Beamer.Exists(3) then
      Kontext "DatabaseSelection"
       if fFindTable("Bibliography","biblio") = TRUE then
        Kontext "DatabaseSelection"
         DatabaseSelection.OpenContextMenu
         hMenuSelectNr(1)
        Kontext "DataSourceAdministration"
         call Dialogtest (DataSourceAdministration)
         DataSourceAdministration.Cancel
         sleep(3)
       end if
    end if
  Kontext "OB_DB_Beamer"
   if OB_DB_Beamer.Exists(3) then ViewCurrentDatabase
  call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tSQLCommand

 Dim HowManyCommands as integer
 Dim WhatIsInStatus as string
  call hNewDocument
  ViewCurrentDatabase
  sleep(4)
  Kontext "OB_DB_Beamer"
    if OB_DB_Beamer.Exists(3) then
      Kontext "DatabaseSelection"
       if fFindTable("Bibliography","biblio") = TRUE then
        Kontext "DatabaseSelection"
         DatabaseSelection.TypeKeys "<UP>" , 2
         DatabaseSelection.OpenContextMenu
         hMenuSelectNr(2)
         sleep(3)
        Kontext "ExecuteSQLCommand"
         if ExecuteSQLCommand.Exists(3) then
           call DialogTest(ExecuteSQLCommand)
           CommandToExecute.SetText "select * from biblio"
           if ExecuteBtn.IsEnabled = FALSE then
             warnlog "Executing of native SQL command failed because the button was disabled!"
            else
             ExecuteBtn.Click
             HowManyCommands = PreviousCommands.GetItemCount
             if HowManyCommands < 1 then warnlog "'Previous commands' function not ok!"
             WhatIsInStatus = Status.GetText
             if WhatIsInStatus = "" then warnlog "The 'status' field didn't returned anything!"
             CloseBtn.Click
           end if
          else
          warnlog "The 'Execute SQL Statement' dialog is not visible!"
         end if
        else
         warnlog "Can not find 'biblio' database table!"
       end if
     else
      warnlog "Database Beamer is not visible!"
    end if
  Kontext "OB_DB_Beamer"
   'if OB_DB_Beamer.Exists(3) then ViewCurrentDatabase
  call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tDisconnect

 Dim WhatIsInStatus as string
  call hNewDocument
  ViewCurrentDatabase
  sleep(4)
  Kontext "OB_DB_Beamer"
    if OB_DB_Beamer.Exists(3) then
      Kontext "DatabaseSelection"
       if fFindTable("Bibliography","biblio") = TRUE then
        Kontext "DatabaseSelection"
         DatabaseSelection.TypeKeys "<UP>" , 2
         DatabaseSelection.OpenContextMenu
         hMenuSelectNr(3)
         sleep(3)
         WhatIsInStatus = DatabaseSelection.GetText
         if WhatIsInStatus = "biblio" then warnlog "Disconnection failed!"
       end if
    end if
  Kontext "OB_DB_Beamer"
   if OB_DB_Beamer.Exists(3) then ViewCurrentDatabase
  call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tNewQuery

  call hNewDocument
  ViewCurrentDatabase
  sleep(4)
  Kontext "OB_DB_Beamer"
    if OB_DB_Beamer.Exists(3) then
      Kontext "DatabaseSelection"
       if fFindTable("Bibliography","biblio") = TRUE then
        Kontext "DatabaseSelection"
         DatabaseSelection.TypeKeys "<UP>" , 2
         DatabaseSelection.OpenContextMenu
         sleep(1)
         hMenuSelectNr(4)
         sleep(5)
        Kontext "AddTables"
         if AddTables.Exists(5) then
          AddTables.Close
         end if
        Kontext "QueryDesignTable"
         'DatabaseClose
         QueryDesignTable.UseMenu
            sleep(2)
            hMenuSelectNr(1)
            sleep(2)
            hMenuSelectNr(4)
            sleep(2)
        else
         warnlog "Can not find 'biblio' database table!"
       end if
     else
      warnlog "'View current database' does not open the database beamer!"
    end if
  Kontext "OB_DB_Beamer"
   if OB_DB_Beamer.Exists(3) then ViewCurrentDatabase
  call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tNewSQLCommand

  call hNewDocument
  ViewCurrentDatabase
  sleep(4)
  Kontext "OB_DB_Beamer"
    if OB_DB_Beamer.Exists(3) then
      Kontext "DatabaseSelection"
       if fFindTable("Bibliography","biblio") = TRUE then
        Kontext "DatabaseSelection"
         DatabaseSelection.TypeKeys "<UP>" , 2
         DatabaseSelection.OpenContextMenu
         hMenuSelectNr(5)
        Kontext "QueryEditWindow"
         if QueryEditWindow.Exists(3) = FALSE then
           warnlog "Query window not visible!"
          else
           Kontext "QueryEditWindow"
            QueryEditWindow.UseMenu
            sleep(2)
            hMenuSelectNr(1)
            sleep(2)
            hMenuSelectNr(4)
            sleep(2)
         end if
         sleep(3)
       end if
    end if
  Kontext "OB_DB_Beamer"
   if OB_DB_Beamer.Exists(3) then ViewCurrentDatabase
  call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tExecute

 Dim SelEntry as string
  call hNewDocument
  '/// Open database beamer (view current database).
  ViewCurrentDatabase
  sleep(4)
  Kontext "OB_DB_Beamer"
  '/// If database beamer comes up...   
  if OB_DB_Beamer.Exists(3) then
      Kontext "DatabaseSelection"
      '/// ...and <i>biblio</i> database could be found...
       if fFindTable("Bibliography","biblio") = TRUE then
        Kontext "DatabaseSelection"
         printlog "- Query entry selected."
         DatabaseSelection.TypeKeys "<UP>" , 2
         printlog "- Open context menu"
         DatabaseSelection.OpenContextMenu
         sleep(1)
         printlog "- select 4th entry"
         '/// ...select <i>Query</i> in context menu.
         hMenuSelectNr (4)
         sleep(5)
        Kontext "AddTables"
         if AddTables.Exists(5) then
          '/// Adding <i>biblio</i> table to query design.
          SelEntry = TableName.GetSelText
          printlog "- Add 'biblio' table to query design"
          if SelEntry <> "biblio" then
            warnlog "It should be the 'biblio'-database table but it is the '" & SelEntry  & "' database table?!"
            goto endsub
           else
            AddTable.Click
            sleep(2)
          end if
           Kontext "QueryDesignTable"
            printlog "- Changing window"
            '/// Switching with <b>&lt;F6&gt;</b> to <i>criterion</i> window (<a href="http://so-web4.germany.sun.com/eis/servlet/qa.FeatureEditServlet?Id=1168">feature 1168</a>)  .
            QueryDesignTable.TypeKeys "<F6>" , TRUE
           Kontext "QueryDesignCriterion"
            printlog "- Selecting 'field' as criteria"
            '/// Selecting field as criteria.
            Field.Select(2)
            sleep(1)
            '/// Typing <b>&lt;TAB&gt;</b> to switch to the <i>tool bar</i>.
            QueryDesignCriterion.TypeKeys "<TAB>" , TRUE
            sleep(1)
           Kontext "OB_DB_Query"
            printlog "- Executing query"
            '/// Ececuting query. 
            ExecuteBtn.Click
            sleep(5)
           Kontext "OB_DB_Beamer"
            '/// Verifying that <i>database beamer</i> (=result) is available.
            if NOT OB_DB_Beamer.Exists(3) then
             warnlog "Execution of a query failed!"
            end if
         end if
        Kontext "QueryDesignTable"
         '/// Closing <i>query design window</i>.
         DatabaseClose
        Kontext "Messagebox"
         if Messagebox.Exists(3) then
           Messagebox.No
          else
           warnlog "There should be a message box because the query has been changed!"
         end if
        else
         warnlog "Can not find 'biblio' database table!"
       end if
     else
      warnlog "'View current database' does not open the database beamer!"
    end if
  Kontext "OB_DB_Beamer"
   '/// Closing <i>database beamer</i> and document. 
   if OB_DB_Beamer.Exists(3) then ViewCurrentDatabase
  call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tClearQuery

 Dim SelEntry as string
  call hNewDocument
  ViewCurrentDatabase
  sleep(4)
  Kontext "OB_DB_Beamer"
    if OB_DB_Beamer.Exists(3) then
      Kontext "DatabaseSelection"
       if fFindTable("Bibliography","biblio") = TRUE then
        Kontext "DatabaseSelection"
         printlog "- Query entry selected."
         DatabaseSelection.TypeKeys "<UP>" , 2
         printlog "- Open context menu"
         DatabaseSelection.OpenContextMenu
         sleep(1)
         printlog "- select 4th entry"
         hMenuSelectNr (4)
         sleep(5)
        Kontext "AddTables"
         if AddTables.Exists(5) then
          SelEntry = TableName.GetSelText
          printlog "- Add 'biblio' table to query design"
          if SelEntry <> "biblio" then
            warnlog "It should be the 'biblio'-database table but it is the '" & SelEntry  & "' database table?!"
            goto endsub
           else
            AddTable.Click
            sleep(2)
          end if
           Kontext "OB_DB_Query"
            printlog "- Deleting query"
            ClearQuery.Click
            sleep(5)
           Kontext "OB_DB_Query"
            if ClearQuery.IsEnabled = TRUE then
             warnlog "'Delete Query' button should be disabled after using it!"
            end if
         end if
        Kontext "QueryDesignTable"
         DatabaseClose
        Kontext "Messagebox"
         if Messagebox.Exists(3) then
           warnlog Messagebox.GetText
           warnlog "There should be no message box!"
           Messagebox.No
         end if
        else
         warnlog "Can not find 'biblio' database table!"
       end if
     else
      warnlog "'View current database' does not open the database beamer!"
    end if
  Kontext "OB_DB_Beamer"
   if OB_DB_Beamer.Exists(3) then ViewCurrentDatabase
  call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tSwitchDesign

 Dim SelEntry as string
  call hNewDocument
  ViewCurrentDatabase
  sleep(4)
  Kontext "OB_DB_Beamer"
    if OB_DB_Beamer.Exists(3) then
      Kontext "DatabaseSelection"
       if fFindTable("Bibliography","biblio") = TRUE then
        Kontext "DatabaseSelection"
         printlog "- Query entry selected."
         DatabaseSelection.TypeKeys "<UP>" , 2
         printlog "- Open context menu"
         DatabaseSelection.OpenContextMenu
         sleep(1)
         printlog "- select 4th entry"
         hMenuSelectNr (4)
         sleep(5)
        Kontext "AddTables"
         if AddTables.Exists(5) then
          SelEntry = TableName.GetSelText
          printlog "- Add 'biblio' table to query design"
          if SelEntry <> "biblio" then
            warnlog "It should be the 'biblio'-database table but it is the '" & SelEntry  & "' database table?!"
            goto endsub
           else
            AddTable.Click
            sleep(2)
          end if
           Kontext "OB_DB_Query"
            printlog "- Design view clicked"
            DesignView.Click
            sleep(5)
           Kontext "QueryEditWindow"
            if QueryEditWindow.IsVisible = FALSE then
               warnlog "The design window has not been disabled by clicking 'Design view' button!"
             else
              Kontext "OB_DB_Query"
               printlog "- Design view cliecked to switch back"
               DesignView.Click
              Kontext "QueryDesignTable"
               if QueryDesignTable.IsVisible = FALSE then
                warnlog "Switching back to 'design view' failed!"
               end if
            end if
         end if
        Kontext "QueryDesignTable"
         DatabaseClose
        Kontext "Messagebox"
         if Messagebox.Exists(3) then
           Messagebox.No
          else
           warnlog "There should be a message box because the query has been changed!"
         end if
        else
         warnlog "Can not find 'biblio' database table!"
       end if
     else
      warnlog "'View current database' does not open the database beamer!"
    end if
  Kontext "OB_DB_Beamer"
   if OB_DB_Beamer.Exists(3) then ViewCurrentDatabase
  call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tNativeSQL

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            goto endsub
        endif
    '/// open a new query design with datasource Bibliography
    printlog "open a new query design with datasource Bibliography"    
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
   '/// close the add table dialog
   printlog "close the add table dialog"
   Kontext "AddTables"
        if AddTables.Exists(5) then
            CloseDlg.Click
        end if    
    '/// switch to the SQL View and turn on the native SQL mode
    printlog "switch to the SQL View and turn on the native SQL mode"    
    Kontext "OB_DB_Query"
        DesignView.Click
        sleep(1)
        NativeSQL.Click
    '/// check if the design view icon is disabled
    Kontext "OB_DB_Query"        
        if DesignView.isEnabled then warnlog "The designview icon is enabled, but in Native SQL it mustn't"
    sleep(2)            
    DatabaseClose 
    Kontext "Messagebox"
    if Messagebox.Exists(3) then
        Messagebox.No
    else
        warnlog "There should be a message box because the query has been changed!"
    end if
    sleep(2)
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tAddTable

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            goto endsub
        endif
    '/// open a new query design with datasource Bibliography
    printlog "open a new query design with datasource Bibliography"    
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        sleep(1)
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
   '/// close the add table dialog
   printlog "close the add table dialog"
   Kontext "AddTables"
        if AddTables.Exists(5) then
            CloseDlg.Click
        end if    
    '/// click on the add table icon in the toolbar of the query design
    printlog "click on the add table icon in the toolbar of the query design"
    Kontext "OB_DB_Query"
        AddTables.Click
        sleep(1)
    '/// check if the dialog opens
    printlog "check if the dialog opens"
    Kontext "AddTables"
        if AddTables.Exists(5) then
            CloseDlg.Click
        else
            warnlog "The AddTable dialog doesn't open" 
        end if        
    DatabaseClose  
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tFunctions

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            goto endsub
        endif
        
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        sleep(1)
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
    Kontext "AddTables"
        if AddTables.Exists(5) then
            TableName.Select 1
            AddTable.Click
        end if
    
    Kontext "QueryDesignCriterion"
        QueryDesignCriterion.TypeKeys "<MOD1 PAGEUP>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "Type" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<DOWN>" , 6 , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "test" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<DOWN>" , true
        sleep(1)        
    '/// turn off the function field
    printlog "turn off the function field"    
    Kontext "OB_DB_Query"
        Functions.Click
        sleep(1)
    '/// check if the function field still there
    printlog "check if the function field still there"    
    Kontext "QueryDesignCriterion"
        QueryDesignCriterion.TypeKeys "<MOD1 PAGEUP>" , true
        sleep(1)        
        QueryDesignCriterion.TypeKeys "<DOWN>" , 6 , true        
        sleep(1)        
        QueryDesignCriterion.TypeKeys "<HOME>" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<SHIFT END>" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<MOD1 C>" , true
        sleep(1)            
        if getClipboard = "'test'" then
            warnlog "Functions still there but I have switch them off"
        end if        
        DatabaseClose
        Kontext "Messagebox"
            if Messagebox.Exists(3) then
                Messagebox.No
            else
                warnlog "There should be a message box because the query has been changed!"
            end if
    sleep(1)
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tTableName

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            goto endsub
        endif
        
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        sleep(1)
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
    Kontext "AddTables"
        if AddTables.Exists(5) then
            TableName.Select 1
            AddTable.Click
        end if
    
    Kontext "QueryDesignCriterion"
        QueryDesignCriterion.TypeKeys "<MOD1 PAGEUP>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "Type" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<DOWN>" , 6 , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "test" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<DOWN>" , true
        sleep(1)        
    '/// turn off the table name field
    printlog "turn off the table name field"        
    Kontext "OB_DB_Query"
        TableName.Click
        sleep(1)
    '/// check if the table field still there
    printlog "check if the table field still there"        
    Kontext "QueryDesignCriterion"
        QueryDesignCriterion.TypeKeys "<MOD1 PAGEUP>" , true
        sleep(1)        
        QueryDesignCriterion.TypeKeys "<DOWN>" , 6 , true        
        sleep(1)        
        QueryDesignCriterion.TypeKeys "<HOME>" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<SHIFT END>" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<MOD1 C>" , true
        sleep(1)            
        if getClipboard = "'test'" then
            warnlog "TableName still there but I have switch them off"
        end if        
        DatabaseClose
        Kontext "Messagebox"
            if Messagebox.Exists(3) then
                Messagebox.No
            else
                warnlog "There should be a message box because the query has been changed!"
            end if
    sleep(1)
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tAliasName

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            goto endsub
        endif
    '/// open a new query design with datasource Bibliography
    printlog "open a new query design with datasource Bibliography"    
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        sleep(1)
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
    Kontext "AddTables"
        if AddTables.Exists(5) then
            CloseDlg.Click
        end if
    '/// insert any aliasname into the alias field
    printlog "insert any aliasname into the alias field"
    Kontext "QueryDesignCriterion"
        QueryDesignCriterion.TypeKeys "<MOD1 PAGEUP>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "<DOWN>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "test" , true
        sleep(1)
    '/// turn off the alias field
    printlog "turn off the alias field"
    Kontext "OB_DB_Query"
        AliasName.Click
        sleep(1)
    '/// check if the alias field still there
    printlog "check if the alias field still there"
    Kontext "QueryDesignCriterion"
        QueryDesignCriterion.TypeKeys "<MOD1 PAGEUP>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "<DOWN>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "<HOME>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "<SHIFT END>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "<MOD1 C>" , true
        sleep(1)            
        if getClipboard = "test" then
            warnlog "Alias still there but I have switch them off"
        end if        
    DatabaseClose  
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tDistinctValues

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            goto endsub
        endif
    '/// open a new query design with datasource Bibliography
    printlog "open a new query design with datasource Bibliography"    
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        sleep(1)
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
    Kontext "AddTables"
        if AddTables.Exists(5) then
            CloseDlg.Click
        end if
    '/// turn on the distinct vales
    printlog "turn on the distinct vales"    
    Kontext "OB_DB_Query"        
        DistinctValues.Click
        sleep(1)          
        DistinctValues.Click
    DatabaseClose  
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tEdit

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            goto endsub
        endif
    '/// open a new query design with datasource Bibliography
    printlog "open a new query design with datasource Bibliography"    
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        sleep(1)
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
    Kontext "AddTables"
        if AddTables.Exists(5) then
            CloseDlg.Click
        end if
    '/// turn off the edit mode
    printlog "turn off the edit mode"        
    Kontext "OB_DB_Query"        
        Edit.Click
        sleep(1)
        if DistinctValues.isEnabled then warnlog "DistincValues icon is enable, but when Edit is turn off, it mustn't."
        if AddTables.isEnabled then warnlog "AddTables icon is enable, but when Edit is turn off, it mustn't."
        if ClearQuery.isEnabled  then warnlog "ClearQuery icon is enable, but when Edit is turn off, it mustn't."
    DatabaseClose  
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tCut

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            goto endsub
        endif
    '/// open a new query design
    printlog "open a new query design"    
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        sleep(1)
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
    '/// add any table ans select any field
    printlog "add any table ans select any field"
    Kontext "AddTables"
        if AddTables.Exists(5) then
            TableName.Select 1
            AddTable.Click
        end if
    Kontext "OB_DB_Query"
        if Cut.isenabled then warnlog "The cut icon is enabled but it is nothing selected."
    '/// select the fieldname and check if the cut button works
    printlog "select the fieldname and check if the cut button works"
    Kontext "QueryDesignCriterion"
        QueryDesignCriterion.TypeKeys "<MOD1 PAGEUP>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "Type" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<DOWN>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "<UP>" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<SHIFT END>" , true
        sleep(1)
                
    Kontext "OB_DB_Query"
        if Cut.isenabled then
            Cut.Click
        else
            warnlog "The Cut icon is not enabled but I have select something"
            DatabaseClose
            Kontext "Messagebox"
                if Messagebox.Exists(3) then
                    Messagebox.No
                else
                    warnlog "There should be a message box because the query has been changed!"
                end if
            sleep(1)
            call hCloseDocument
            goto endsub
        endif    
            
        sleep(1)
        '/// check if the text is in the clipboard
        printlog "check if the text is in the clipboard"                
        if getClipboard <> "Type" then
            warnlog "The Cut button doesn't work"
        end if        
        DatabaseClose
        Kontext "Messagebox"
            if Messagebox.Exists(3) then
                Messagebox.No
            else
                warnlog "There should be a message box because the query has been changed!"
            end if
    sleep(1)
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tCopy

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            goto endsub
        endif
    '/// open a new query design
    printlog "open a new query design"    
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        sleep(1)
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
    '/// add any table ans select any field
    printlog "add any table ans select any field"
    Kontext "AddTables"
        if AddTables.Exists(5) then
            TableName.Select 1
            AddTable.Click
        end if
    Kontext "OB_DB_Query"
        if Copy.isenabled then warnlog "The copy icon is enabled but it is nothing selected.Bug 107845"
    '/// select the fieldname and check if the copy button works
    printlog "select the fieldname and check if the copy button works"
    Kontext "QueryDesignCriterion"
        QueryDesignCriterion.TypeKeys "<MOD1 PAGEUP>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "Type" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<DOWN>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "<UP>" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<SHIFT END>" , true
        sleep(1)
                
    Kontext "OB_DB_Query"
        if Copy.isenabled then
            Copy.Click
        else
            warnlog "The Copy icon is not enabled but I have select something"
            DatabaseClose
            Kontext "Messagebox"
                if Messagebox.Exists(3) then
                    Messagebox.No
                else
                    warnlog "There should be a message box because the query has been changed!"
                end if
            sleep(1)
            call hCloseDocument
            goto endsub
        endif    
            
        sleep(1)
        '/// check if the text is in the clipboard
        printlog "check if the text is in the clipboard"                
        if getClipboard <> "Type" then
            warnlog "The Cut button doesn't work"
        end if        
        DatabaseClose
        Kontext "Messagebox"
            if Messagebox.Exists(3) then
                Messagebox.No
            else
                warnlog "There should be a message box because the query has been changed!"
            end if
    sleep(1)
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tPaste

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            call hCloseDocument
            goto endsub
        endif
    '/// open a new query design
    printlog "open a new query design"    
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
            printlog "TEST STOPPED"
            call hCloseDocument
            goto endsub
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        sleep(1)
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
    '/// add any table and select any field
    printlog "add any table and select any field"
    Kontext "AddTables"
        if AddTables.Exists(5) then
            TableName.Select 1
            AddTable.Click
        else
            warnlog "The AddTable dialog doesn't appear."
            printlog "TEST STOPPED"
            call hCloseDocument
            sleep(1)
            call hCloseDocument
            goto endsub
        end if    
    '/// select the fieldname and check if the paste button works
    printlog "select the fieldname and check if the paste button works"    
    Kontext "QueryDesignCriterion"
        QueryDesignCriterion.TypeKeys "<MOD1 PAGEUP>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "Type" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<DOWN>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "<UP>" , true        
        sleep(1)
        QueryDesignCriterion.TypeKeys "<SHIFT END>" , true
        sleep(1)
                
    Kontext "OB_DB_Query"
        if Copy.isenabled then
            Copy.Click            
        else
            warnlog "The Copy icon is not enabled but I have select something"
            printlog "TEST STOPPED"
            call hCloseDocument            
            sleep(1)
            call hCloseDocument
            goto endsub
        endif    
            
    sleep(1)
    '/// check if the text is in the clipboard
    printlog "check if the text is in the clipboard"                
    if getClipboard <> "Type" then
        warnlog "The Copy button doesn't work"
        printlog "TEST STOPPED"
        call hCloseDocument
        goto endsub
    end if        
        
    Kontext "QueryDesignCriterion"
        QueryDesignCriterion.TypeKeys "<RIGHT>" , 2 , true
        sleep(1)

    Kontext "OB_DB_Query"
        if Paste.isenabled then
            Paste.Click            
        else
            warnlog "The Paste icon is not enabled but I have copy something"
            printlog "TEST STOPPED"
            call hCloseDocument            
            sleep(1)                        
            call hCloseDocument
            goto endsub
        endif 
        
    Kontext "QueryDesignCriterion"
        QueryDesignCriterion.TypeKeys "1" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "<HOME>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "<SHIFT END>" , true
        sleep(1)
        QueryDesignCriterion.TypeKeys "<MOD1 C>" , true
        sleep(1)
    
    if getClipboard <> "Type1" then
        warnlog "The Paste button doesn't work"
        printlog "TEST STOPPED"
        call hCloseDocument            
        sleep(1)                        
        call hCloseDocument
        goto endsub
    end if
        
    call hCloseDocument    
    sleep(1)
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tUndo

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            goto endsub
        endif
    '/// open a new query design with datasource Bibliography
    printlog "open a new query design with datasource Bibliography"    
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        sleep(1)
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
   '/// close the add table dialog
   printlog "close the add table dialog"
   Kontext "AddTables"
        if AddTables.Exists(5) then
            CloseDlg.Click
        end if    
    '/// click on the add table icon in the toolbar of the query design
    printlog "click on the add table icon in the toolbar of the query design"
    Kontext "OB_DB_Query"
        if Undo.isenabled then warnlog "The undo icon is enabled but I have nothing done"
        sleep(1)
    '/// check if the dialog opens
    printlog "check if the dialog opens"
    Kontext "OB_DB_Query"
        AddTables.Click
    Kontext "AddTables"
        if AddTables.Exists(5) then
            TableName.Select 1
            AddTable.Click
        else
            warnlog "The AddTable dialog doesn't open" 
        end if        
    Kontext "OB_DB_Query"
        if Undo.isenabled then
            Undo.Click
            if not AddTables.isenabled then warnlog "The undo button doesn't work"             
        else
            warnlog "The undo icon is disabled but I have insert a table"
        endif
        
    sleep(1)    
    DatabaseClose    
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
testcase tRedo

    Dim SelEntry as string
    call hNewDocument
    ViewCurrentDatabase
    sleep(4)
    Kontext "OB_DB_Beamer"
        if not OB_DB_Beamer.Exists(3) then
            warnlog "The Beamer doesn't exists"
            goto endsub
        endif
    '/// open a new query design with datasource Bibliography
    printlog "open a new query design with datasource Bibliography"    
    Kontext "DatabaseSelection"
        if fFindDatasource("Bibliography") = FALSE then
            warnlog "The datasource Bibliography doesn't exists"
        endif
        DatabaseSelection.TypeKeys "<ADD>" , true
        sleep(1)
        DatabaseSelection.TypeKeys "<DOWN>" , 2 , true
        sleep(1)
        DatabaseSelection.OpenContextMenu
        call hMenuSelectNr (hMenuItemGetCount - 1)
        sleep(5)
   '/// close the add table dialog
   printlog "close the add table dialog"
   Kontext "AddTables"
        if AddTables.Exists(5) then
            CloseDlg.Click
        end if    
    '/// click on the add table icon in the toolbar of the query design
    printlog "click on the add table icon in the toolbar of the query design"
    Kontext "OB_DB_Query"
        if Redo.isenabled then warnlog "The redo icon is enabled but I have nothing done"
        sleep(1)
    '/// check if the dialog opens
    printlog "check if the dialog opens"
    Kontext "OB_DB_Query"
        AddTables.Click
    Kontext "AddTables"
        if AddTables.Exists(5) then
            TableName.Select 1
            AddTable.Click
        else
            warnlog "The AddTable dialog doesn't open" 
        end if        
    Kontext "OB_DB_Query"
        if Undo.isenabled then
            Undo.Click
            sleep(1)
            Redo.Click             
            sleep(1)
            if AddTables.isenabled then warnlog "The redo button doesn't work"
        else
            warnlog "The undo icon is disabled but I have insert a table"
        endif
        
        
    sleep(1)    
    DatabaseClose 
    Kontext "Messagebox"
        if Messagebox.Exists(3) then
            Messagebox.No
        else
            warnlog "There should be a message box because the query has been changed!"
        end if
    call hCloseDocument
endcase
'-------------------------------------------------------------------------
