'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_003_.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:52:59 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*************************************************************************************************
'*
'* owner : peter.junge@sun.com
'*
'* short description : Check all resources for menuitem View
'*
'*************************************************************************************************
'*
' #1 C_003_ ' Initial routine
' #1 tViewZoom
' #1 tViewBars
' #1 tViewEditBars
' #1 tViewStateBar
' #1 tViewColumnRowHeader
' #1 tViewHighlightedValues
' #1 tViewPagePreview
' #1 tViewEntireScreen
'*
'\************************************************************************************************

sub C_003_

Printlog "--------- C_003_ ---------"

    Call tViewZoom
    Call tViewBars
    Call tViewEditBars
    Call tViewStateBar
    Call tViewColumnRowHeader
    Call tViewHighlightedValues
    Call tViewPagePreview
    Call tViewEntireScreen

end sub
'
'-----------------------------------------------------------
'
testcase tViewZoom

    Call  hNewDocument

    ViewZoom
    Kontext "Massstab"
    DialogTest ( Massstab )
    Massstab.Close

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tViewBars

    Call  hNewDocument

    ViewToolbarsFunctionbar
    sleep (2)
    ViewToolbarsFunctionbar
    sleep (2)
    ViewToolbarsObjectbar
    sleep (2)
    ViewToolbarsObjectbar
    sleep (2)
    ViewToolbarsMainToolbar
    sleep (2)
    ViewToolbarsMainToolbar
    sleep (2)
    ViewToolbarsHyperlinkbar
    sleep (2)
    ViewToolbarsHyperlinkbar
    sleep (2)
    ViewToolbarsFormulaBar
    sleep (2)
    ViewToolbarsFormulaBar
    sleep (2)

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tViewEditBars

   dim i as integer
    Call  hNewDocument

    sleep 2
    ViewToolbarsCustomize
    Kontext "CustomizeToolbars"
    Call DialogTest ( CustomizeToolbars )
    Kontext "CustomizeToolbars"
    for i = 1 to Toolbars.getItemCount
      Toolbars.select i
    next i
    Toolbars.select 1
    MoveDown.click
    MoveUp.click
    'Default.click
    ButtonsInUse.TypeKeys "<PAGEUP><DOWN>"
    try
      Icons.click
      Kontext "SchaltflaecheBearbeiten"
      SchaltflaecheBearbeiten.close
      Kontext "CustomizeToolbars"
    catch
      warnlog "Ther are no icons available"
    endcatch
    for i = 1 to AvailableButtons.getItemCount
      AvailableButtons.TypeKeys "<DOWN>"
    next i
    AvailableButtons.TypeKeys "<PAGEUP>", 3

    Kontext "CustomizeToolbars"
    CustomizeToolbars.close

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tViewStateBar

    Call  hNewDocument

    ViewToolbarsStatusbar
    ViewToolbarsStatusbar

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tViewColumnRowHeader

    Call  hNewDocument

    ViewColumnAndRowHeaders
    ViewColumnAndRowHeaders

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tViewHighlightedValues

    Call  hNewDocument

    ViewValueHightlighting
    ViewValueHightlighting

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tViewPagePreview

    Call  hNewDocument

    ViewPageBreakPreview
    ViewPageBreakPreview

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'
testcase tViewEntireScreen

    Call  hNewDocument

    kontext
    DocumentCalc.typekeys "13<RETURN>"
    ViewFullScreen
    kontext
    DocumentCalc.typekeys "13<RETURN>"
    ViewFullScreen

    Call hCloseDocument

endcase
'
'-----------------------------------------------------------
'

