'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: global_2.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:52:50 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**************************************************************************
'*
'* owner : joerg.skottke@sun.com
'*
'* short description : global update test (Function Bar)
'*
'***************************************************************************
'**
' #1 tFunctionBar_5    ' check 'configure ...' and 'customize ...' out of the contextmenu on the Function Bar
' #1 tFunctionBar_6    ' check the 'new'-button in all appls ( without menu-functionality )
' #1 tFunctionBar_7    ' open all documents with new-button in all applications
' #0 DoesTheFunctionBarExists
' #0 FunctionbarResetNow
'**
'\***************************************************************************



testcase tFunctionBar_5

  '///configure, customize and reset the functionbar
  '///open a new document
  call hNewDocument

  '///+open context menu on functionbar and select the 5'th item ( Configure )
  printlog "Configure ..."
  Kontext "Funktionsleiste"
  Funktionsleiste.OpenContextmenu
  sleep (1)
  hMenuselectNr (5)
  sleep (1)
  
   '///+select all tabpages ( Menu, Keyboard, Status Bar, Toolbars, Events )
  Kontext
  Active.SetPage TabMenu
  
  Kontext
  Active.SetPage TabTastatur
  
  Kontext
  Active.SetPage TabStatusleiste
  
  Kontext
  Active.SetPage TabSymbolleisten
  
  Kontext
  Active.SetPage TabEreignisse
  
  '///+click on 'OK' at Event-Tabpage
  Kontext "TabEreignisse"
  TabEreignisse.OK

  '///+click on 'OK' at Event-Tabpage
  '///+open context menu on functionbar and select the 6'th item ( Customize )
  Kontext "Funktionsleiste"
  Funktionsleiste.OpenContextmenu
  sleep (1)
  hMenuselectNr (6)
  sleep (2)
   
  '///+close the Customize-Toolbars-Dialog with OK
  Kontext "CustomizeToolbars"
  CustomizeToolbars.OK

  printlog "Reset"

  '///+open context menu on functionbar and select the 7'th item ( Reset )
  Kontext "Funktionsleiste"
  Funktionsleiste.OpenContextmenu
  sleep (1)
  hMenuselectNr (7)
  sleep (1)

  '///+close the document
  hCloseDocument

endcase

'-------------------------------------------------------------------------

testcase tFunctionBar_6

   '///Make sure the Impress Autopilot is not active
   printlog "Disable Impress Autopilot"

   ToolsOptions

   sleep ( 2 )

   hToolsOptions( "Presentation" , "General" )

   Kontext "TabSonstigesDraw"

   if mitAutopilotStarten.exists () then
      if mitAutopilotStarten.IsChecked () then
         mitAutopilotStarten.uncheck ()
         printlog "Autopilot has been disabled."
         endif
   else
      warnlog "   Cannot find Autopilot Checkbox"
   end if

   sleep ( 2 )

   Kontext "OptionenDlg"
   OptionenDlg.OK()

   '///Check the 'New'-menu-button in Function Bar in each application
   printlog "Check the 'New'-menu-button in Function Bar in each application"
   printlog "- click on menu-button -> open a new document as same document-type"

   '///open a new writer doc
   printlog "   - Writer"
   gApplication = "Writer"
   call hNewDocument

   '///+click on 'new'
   Kontext "Funktionsleiste"
   Neu.Click()

   '///+check if the new document is a writer-doc
   Kontext "DocumentWriter"
   DocumentWriter.TypeKeys( "Hallo" )

   '///+close both new docs
   call hCloseDocument
   call hCloseDocument

   '///open a new calc doc
   printlog "   - Calc"
   gApplication = "Calc"
   call hNewDocument

   '///+click on 'new'
   Kontext "Funktionsleiste"
   Neu.Click()

   '///+check if the new document is a calc-doc
   Kontext "DocumentCalc"
   DocumentCalc.TypeKeys( "Hallo" )

   '///+close both new docs
   call hCloseDocument
   call hCloseDocument

   '///open a new draw doc
   printlog "   - Draw"
   gApplication = "Draw"
   call hNewDocument
   Kontext "Funktionsleiste"

   '///+click on 'new'
   Neu.Click()

   '///+check if the new document is a draw-doc
   gMouseClick ( 50, 50 )

   '///+close both new docs
   hCloseDocument
   hCloseDocument

   '///open a new impress doc
   printlog "   - Impress"
   gApplication = "Impress"

   call hNewDocument

   Kontext "Funktionsleiste"

   '///+click on 'new'
   Neu.Click()

   '///+check if the new document is a impress-doc
   gMouseClick ( 50, 50 )

   '///+close both new docs
   hCloseDocument
   hCloseDocument

   '///open a new HTML doc
   printlog "   - HTML-document"
   gApplication = "HTML"
   call hNewDocument

   '///+click on 'new'
   Kontext "Funktionsleiste"
   Neu.Click()

   '///+check if the new document is a HTML-doc
   Kontext "DocumentWriter"
   DocumentWriter.TypeKeys( "Hallo" )

   '///+close both new docs
   hCloseDocument
   hCloseDocument

   '///open a new master doc
   printlog "   - Master-document"
   gApplication = "MASTERDOC"
   hNewDocument
   
   '///+click on 'new'
   Kontext "Funktionsleiste"
   Neu.Click()
   
   '///+check if the new document is a master doc
   Kontext "DocumentWriter"
   DocumentWriter.TypeKeys( "Hallo" )

   '///+close the navigator and both new docs
   '///+...first doc
   Kontext "Navigator"
   sleep (1)
   if Navigator.Exists(5) then Navigator.Close()
   hCloseDocument
   
   '///+...second doc
   Kontext "Navigator"
   sleep (1)
   if Navigator.Exists(5) then Navigator.Close()
   hCloseDocument

   '///open a new math doc
   printlog "   - Math"
   gApplication = "Math"
   call hNewDocument

   '///+click on 'new'
   Kontext "Funktionsleiste"
   Neu.Click()

   '///+check if the new document is a math doc
   SchreibenInMathdok "a over b"

   '///+close both new docs
   hCloseDocument
   hCloseDocument

endcase

'-------------------------------------------------------------------------

testcase tFunctionBar_7

  '///open all applications with the 'New'-menu-button in function bar ( in all application )
  Dim i as Integer, j as Integer

  '///open a writer-doc
  printlog Chr(13) + "- click on menu-button -> open a new document as same document-type"
  for i = 1 to 7
  
    select case i
      case 1  :  gApplication = "Writer"
      case 2  :  gApplication = "Calc"
      case 3  :  gApplication = "Impress"
      case 4  :  gApplication = "Draw"
      case 5  :  gApplication = "HTML"
      case 6  :  gApplication = "MASTERDOC"
      case 7  :  gApplication = "Math"
    end select
    
    printlog "- tested application is : " + gApplication
    
    call hNewDocument
    
    for j = 1 to 7
    
      '///+<i>(If Unix platform and application is Impress, get the focus of the document in each loop.)</i>
      if i = 3 AND gPlatgroup = "unx" then
        Kontext "DocumentImpress"
        DocumentImpress.MouseDoubleClick ( 50, 50 )
      end if
      
      '///+press the new-button in the function bar and select all items in the menu
      printlog "   click on the " + j + ". item on the new-button"
      Kontext "Funktionsleiste"
      Funktionsleiste.OpenMenu Neu
      sleep (1)
      hMenuselectNr (j)
      sleep (3)

      '///+check if all applications or dialogs are opened correctly
      select case j
        case 1  :  Kontext "DocumentWriter"
                   DocumentWriter.TypeKeys( "Hallo" )
                   call hCloseDocument
        case 2  :  Kontext "DocumentCalc"
                   DocumentCalc.TypeKeys( "Hallo" )
                   call hCloseDocument
        case 3  :  Kontext "DocumentImpress"
                   DocumentImpress.MouseDoubleClick ( 50, 50 )
                   call hCloseDocument
        case 4  :  Kontext "DocumentDraw"
                   DocumentDraw.MouseDoubleClick ( 50, 50 )
                   call hCloseDocument
        case 5  :  Kontext "DocumentWriter"
                   DocumentWriter.TypeKeys( "Hallo" )
                   call hCloseDocument
        case 6  :  Kontext "DocumentWriter"
                   DocumentWriter.TypeKeys( "Hallo" )
                   Kontext "Navigator"
                   if Navigator.Exists( 5 ) then Navigator.Close()
                   call hCloseDocument
        case 7  :  SchreibenInMathdok "a over b"
                   call hCloseDocument
        case 8  :  Kontext
                   Active.SetPage( TabEtiketten )
                   Kontext "TabEtiketten"
                   TabEtiketten.Cancel()
        case 9  :  Kontext
                   Active.SetPage()
                   Kontext "TabEtikettenMedium"
                   TabEtikettenMedium.Cancel()
        case 10 :  Kontext "TemplateAndDocuments"
                    TemplateAndDocuments.cancel()
      end select
      
      sleep(2)
      
    next j

    call hCloseDocument
    
  '///+close the document
  '///now do it again in each other application
  next i
  
endcase

'-------------------------------------------------------------------------

sub DoesTheFunctionBarExists

  call hNewDocument

  Kontext "Funktionsleiste"
  
  if Funktionsleiste.Exists then
    if Funktionsleiste.IsVisible = FALSE then
      warnlog "The 'Function Bar' is not visible in " + gApplication
    end if
  else
    warnlog "The 'Function Bar' does not exist in " + gApplication
  end if
  
  Kontext "Navigator"
  if Navigator.Exists(5) then Navigator.Close
  
  call hCloseDocument
  
end sub

'-------------------------------------------------------------------------

sub FunctionbarResetNow

  call hNewDocument
  printlog " - Function Bar"
   
  Kontext "Funktionsleiste"
  Funktionsleiste.MouseMove ( 70, 50 )
  sleep (1)
  
  '///+ open the context menu on function bar and click on 7. entry ( Reset all changes )
  Funktionsleiste.OpenContextmenu
  hMenuselectNr (7)
  sleep (1)
  
  call hCloseDocument
   
end sub

'-------------------------------------------------------------------------

