'*************************************************************************
'*
'*  $RCSfile: w_008_.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:30 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/******************************************************************
'*                                                                **
'* owner : helge.delfs@sun.com                                    **
'*                                                                **
'* short description :                                            **
'*                                                                **
'\******************************************************************

sub w_008_
    printLog Chr(13) + "--------- Menu Help (w_008_.inc) ----------"

'   Call tHelpContents
'   Call tHelpAgent
    Call tHelpTip
    Call tHelpExtendedTips
    Call tHelpAboutStarOffice

end sub

'-----------------------------------------------------------

testcase tHelpContents
    PrintLog "- Help / Contents"

    Call hNewDocument
    '/// Open new document ///
    HilfeInhalt
    Sleep 5

    Kontext "StarOfficeHelp"
    if Not StarOfficeHelp.Exists then
        Warnlog "Help is not up!"
    else
        StarOfficeHelp.TypeKeys "<Mod2 F4>"
        Sleep 3
    end if

    Call hCloseDocument
    '/// Close active document ///
endcase

'-----------------------------------------------------------

testcase tHelpAgent
    PrintLog "- Help / HelpAgent"

    Call hNewDocument
    '/// Open new document ///
    HelpHelpAgent

    Kontext
    if Active.Exists(3) then
        Warnlog Active.GetText
        Active.OK
    else
        Kontext "Helferlein"
        Call DialogTest (Helferlein)
        Helferlein.Close
    end if

    Call hCloseDocument
    '/// Close active document ///
endcase

'-----------------------------------------------------------

testcase tHelpTip
    PrintLog "- Help / Tip"

    Call hNewDocument
    '/// Open new document ///
    HelpTips
    '/// Help / Tips ///
    Sleep 2
    '/// Help / Tips ///
    HelpTips
    Call hCloseDocument
    '/// Close active document ///

endcase

'-----------------------------------------------------------

testcase tHelpExtendedTips
    PrintLog "- Help / Extended Tips"

    Call hNewDocument
    '/// Open new document ///
    HelpEntendedHelp
    '/// Help / Extended Help ///
    Sleep 2
    HelpEntendedHelp
    '/// Help / Extended Help ///
    Call hCloseDocument
    '/// Close active document ///

endcase

'-----------------------------------------------------------

testcase tHelpAboutStarOffice
    PrintLog "- Help / About StarOffice"

    Call hNewDocument
    '/// Open new document ///
    HelpAboutStarOffice
    '/// Help / About ///
    Kontext "UeberStarWriter"
    DialogTest ( UeberStarWriter )
    '/// In About dialog enter key "<Strg+Alt+Del> ///
    UeberStarWriter.TypeKeys "<Mod1 S><Mod1 D><Mod1 T>"
    Sleep 5
    '/// Close About dialog ///
    UeberStarWriter.OK
    Call hCloseDocument
    '/// Close active document ///

endcase

