'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: sxc_03.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:43 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* owner : joerg.sievers@sun.com
'*
'* short description : XML Calc Include File
'*
'\***********************************************************************************
   Dim Isliste(250) as string
   Dim OutputPath as string

sub sxc_03

   printlog "------------------- sxc_03.inc ---------------------"

   call tchart_export
   call tconditional_formatting
   call tcontrols01    
   call tdatabase_ranges
   call tfilter_and_subtotals1
   call tfilter_and_subtotals4
   call tmatrixformula_and_notes
   call tpassword3
'   call tAsisanVerticalWriting 'wrn:1
'   call tNativeNumberTransliteration
end sub

'-------------------------------------------------------------------------

testcase tchart_export
  printlog "+- chart_export.sdc"

  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\chart_export.sdc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\chart_export.sxc") , gCalcFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\chart_export.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\chart_export") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\chart_export\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\chart_export\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\chart_export\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\chart_export.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tconditional_formatting
  printlog "+- conditional_formatting.sdc"

  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\conditional_formatting.sdc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\conditional_formatting.sxc") , gCalcFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\conditional_formatting.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\conditional_formatting") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\conditional_formatting\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\conditional_formatting\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\conditional_formatting\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\conditional_formatting.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tcontrols01
  printlog "+- controls01.sdc"

  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\controls01.sdc") , 1)
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\controls01.sxc") , gCalcFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\controls01.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\controls01") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\controls01\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\controls01\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\controls01\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\controls01.sxc") , 1)
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tdatabase_ranges
  printlog "+- database_ranges.sdc"

  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\database_ranges.sdc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\database_ranges.sxc") , gCalcFilter) = TRUE then
   call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\database_ranges.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\database_ranges") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\database_ranges\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\database_ranges\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\database_ranges\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\database_ranges.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tfilter_and_subtotals1
  printlog "+- filter_and_subtotals1"

  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\filter_and_subtotals1.sdc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals1.sxc") , gCalcFilter) = TRUE then
   call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals1.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals1") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals1\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals1\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals1\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals1.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tfilter_and_subtotals4
  printlog "+- filter_and_subtotals4.sdc"

  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\filter_and_subtotals4.sdc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals4.sxc") , gCalcFilter) = TRUE then
   call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals4.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals4") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals4\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals4\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals4\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\filter_and_subtotals4.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tmatrixformula_and_notes
  printlog "+- matrixformula_and_notes.sdc"

  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\matrixformula_and_notes.sdc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\matrixformula_and_notes.sxc") , gCalcFilter) = TRUE then
   call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\matrixformula_and_notes.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\matrixformula_and_notes") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\matrixformula_and_notes\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\matrixformula_and_notes\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\matrixformula_and_notes\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\matrixformula_and_notes.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tpassword3
  printlog "+- password3.sdc"

  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\calc\password3.sdc"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\calc\update\password3.sxc") , gCalcFilter) = TRUE then
   call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\calc\update\password3.sxc") , gOfficePath & ConvertPath("user\work\xml\calc\update\password3") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\password3\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\password3\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\calc\update\password3\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\calc\update\password3.sxc"))
      sleep(2)
      call hCloseDocument
      sleep(2)
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tAsisanVerticalWriting
'/// <h2>Asian vertical writing in Spreadsheet cells</h2>
'/// <h3>Test description</h3>
 call hNewDocument
 gApplication = "CALC"
'/// Enable the Asian language support under <i>Tools / Options / Language Settings</i>
 ToolsOptions
 call hToolsOptions ("LanguageSettings" , "Languages" )
 Kontext "TabSprachen"
  if Aktivieren.IsChecked then
    printlog "+- Asian language support was already enabled,"
   else
    Aktivieren.Check
    printlog "+- Asian language support has been enabled."
  end if
 Kontext "ExtrasOptionenDlg"
  ExtrasOptionenDlg.OK
  sleep(1)  
'/// Open a new Calc document and select a range of cells (A1:D10).
 call hNewDocument
 Kontext "DocumentCalc"
  DocumentCalc.TypeKeys "<SHIFT RIGHT>" , 3
  DocumentCalc.TypeKeys "SHIFT DOWN>" , 9  
'/// Now open the context menu or use main menu entry <i>format / cells</i>.
  FormatCells
'/// Switch to the <i>Tab Page Alignment</i>
   Kontext
    Active.SetPage TabAusrichtung
   Kontext "TabAusrichtung"
'/// Change the Textdirection box to vertical (it is the push button in the 'Text direction' section).
    Gestapelt.Click
    sleep(1)
    if VertikaleAusrichtung.IsEnabled then
'/// Now you are able to tag the <i>Use Asian vertical layout mode</i>, so do this
      VertikaleAusrichtung.Check
      printlog "Vertical writing enabled."
     else
      warnlog "Vertical writing checkbox is not enabled!?"
    end if
'/// and close the format cells dialog with OK.
    TabAusrichtung.OK    
'/// Select one cell out of the previously selected range and type in some characters. They must appear rotated 90 degrees to the right.
   Kontext "DocumentCalc"
    DocumentCalc.TypeKeys "<MOD1 HOME>"
    DocumentCalc.TypeKeys "This is a vertical direction test."
    DocumentCalc.TypeKeys "<MOD1 RETURN>"
    DocumentCalc.TypeKeys "And this is a soft breaked second sentence."
    DocumentCalc.TypeKeys "<RETURN>"      
'/// Now select the cells behind and set some formattings...
    DocumentCalc.TypeKeys "<UP><RIGHT>"
'/// Background color
   Kontext "OL_SC_TABELLE"
    Hintergrundfarbe.Click
    sleep(1)
   Kontext "TB_Farbe"
    TB_Farbe.TypeKeys "<DOWN>" , 4
    sleep(1)
    TB_Farbe.Close            
'/// Text colour
   Kontext "DocumentCalc"
    DocumentCalc.TypeKeys "<LEFT>"
   Kontext "OL_SC_TABELLE"
    Schriftfarbe.Click
    sleep(1)
   Kontext "TB_Farbe"
    TB_Farbe.TypeKeys "<DOWN>" , 4
    sleep(1)
    TB_Farbe.Close
    sleep(1)                    
'/// Borders
   warnlog "BugId: 102575"
   Kontext "DocumentCalc"
    DocumentCalc.TypeKeys "<RIGHT>" , 2
'   Kontext "OL_SC_TABELLE"
'    Umrandung.Click
    FormatCells
    sleep(1)
   Kontext   
    Active.SetPage "TB_Umrandung"
   Kontext "TB_Umrandung"
'    TB_Umrandung.TypeKeys "<DOWN>" , 3
    Vorgaben.TypeKeys "<HOME>"
    Vorgaben.TypeKeys "<RIGHT>"
    TB_Umrandung.OK
'/// Font size
   Kontext "DocumentCalc"
    DocumentCalc.TypeKeys "<RIGHT>"
    DocumentCalc.TypeKeys "This is another vertical direction test."
   Kontext "OL_SC_TABELLE"
    Schriftgroesse.Select "14"    
'/// Allignment
   Kontext "DocumentCalc"
    DocumentCalc.TypeKeys "<HOME>"
    DocumentCalc.TypeKeys "<DOWN>"
'/// <ol><li>centered</li>    
    DocumentCalc.TypeKeys "centered"    
   Kontext "OL_SC_TABELLE"
'    .Click 
'/// <li>right</li>    
    DocumentCalc.TypeKeys "right"    
   Kontext "OL_SC_TABELLE"
'    .Click
'/// <li>justified</li>    
    DocumentCalc.TypeKeys "justified"    
   Kontext "OL_SC_TABELLE"
'    .Click 
    
    
'/// Fonteffects
   Kontext "DocumentCalc"
    DocumentCalc.TypeKeys "<RIGHT>" , 2
   Kontext "OL_SC_TABELLE"
'    .Click    
    
'/// Select one cell out of the previously selected range and type in some characters. 
'/// Now select the cell and switch to the Edit mode. 
'/// Perform some formattings on different characters (Text colour, Font height, Font and Fonteffects). 
'/// Also type a short text into a different cell out of the previously formatted cell range and check the line break function from the textflow box in the format cells dialog. 
'/// The manual line break function (CTRL + RETURN) must also be checked.
'/// [If Asian Office]
'///+ Do the same as above described for Asian Characters. 
'/// Now save the file to Calc6. 
'/// <h3>Searching for:</h3>
'///+ <ul><li><i>style:glyph-orientation-vertical</i></li></ul>.
 call hCloseDocument
endcase

'-------------------------------------------------------------------------

testcase tNativeNumberTransliteration
'/// <h2>Native Number transliteration stored in Calc6</h2>
'/// <h3>Searching for:</h3>
'/// <ul><li><i>number:transliteration-format</i></li>
'///+ <li><i>number:transliteration-language</i></li>
'///+ <li><i>number:transliteration-country</i></li>
'///+ <li><i>number:transliteration-style</i></li></ul>
endcase
