'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: sxm_01.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:45 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* owner : joerg.sievers@sun.com
'*
'* short description : XML Math Include File
'*
'\***********************************************************************************
   Dim Isliste(250) as string
   Dim OutputPath as string

sub sxm_01

   printlog "------------------- mml_01.inc ---------------------"

     call tunary_binary
     call trelations
     call tset_operations
     call tfunctions
     call toperators
     call tattributes
     call tothers
     call tbrackets
     call tformats
     call tall_commands
     call tall_commands_star_math_3
     call tall_selections
     call tannuities
     call tcauchy
     call tchemicalelement
     call tdefinitionstraightline
     call teffectiveannualinterestrate
     call thamiltonoperator
     call tinvestmentreturns
     call tlawoferrorpropagation
     call tlimes
     call tlinearregression
     call tmaxwell
     call tscalarproduct
     call tsinus
     call tsquareroot
     call tstandarddeviation
     call tvectorproduct

end sub

'-------------------------------------------------------------------------

testcase tunary_binary
  printlog "+- unary-binary.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\1_unary-binary.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\1_unary-binary.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\1_unary-binary.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\1_unary-binary") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\1_unary-binary\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\1_unary-binary\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\1_unary-binary\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\1_unary-binary.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase trelations
  printlog "+- 2_relations.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\2_relations.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\2_relations.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\2_relations.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\2_relations") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\2_relations\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\2_relations\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\2_relations\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\2_relations.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------
testcase tset_operations
  printlog "+- 3_set_operations.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\3_set_operations.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\3_set_operations.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\3_set_operations.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\3_set_operations") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\3_set_operations\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\3_set_operations\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\1_unary-binary\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\3_set_operations.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------
testcase tfunctions
  printlog "+- 4_functions.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\4_functions.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\4_functions.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\4_functions.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\4_functions") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\4_functions\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\4_functions\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\4_functions\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\4_functions.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase toperators
  printlog "+- 5_operators.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\5_operators.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\5_operators.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\5_operators.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\5_operators") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\5_operators\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\5_operators\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\5_operators\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\5_operators.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tattributes
  printlog "+- 6_attributes.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\6_attributes.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\6_attributes.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\6_attributes.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\6_attributes") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\6_attributes\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\6_attributes\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\6_attributes\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\6_attributes.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tothers
  printlog "+- 7_others.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\7_others.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\7_others.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\7_others.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\7_others") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\7_others\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\7_others\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\7_others\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\7_others.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tbrackets
  printlog "+- 8_brackets.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\8_brackets.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\8_brackets.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\8_brackets.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\8_brackets") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\8_brackets\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\8_brackets\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\8_brackets\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\8_brackets.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tformats
  printlog "+- 9_formats.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\9_formats.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\9_formats.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\9_formats.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\9_formats") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\9_formats\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\9_formats\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\9_formats\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\9_formats.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tall_commands
  printlog "+- all_commands.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\all_commands.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\all_commands.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\all_commands.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\all_commands") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\all_commands\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\all_commands\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\all_commands\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\all_commands.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tall_commands_star_math_3
  printlog "+- all_commands_star_math_3.0.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\all_commands_star_math_3.0.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\all_commands_star_math_3.0.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\all_commands_star_math_3.0.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\all_commands_star_math_3.0") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\all_commands_star_math_3.0\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\all_commands_star_math_3.0\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\all_commands_star_math_3.0\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\all_commands_star_math_3.0.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tall_selections
  printlog "+- all_selections.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\all_selections.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\all_selections.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\all_selections.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\all_selections") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\all_selections\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\all_selections\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\all_selections\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\all_selections.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tannuities
  printlog "+- annuities.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\annuities.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\annuities.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\annuities.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\annuities") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\annuities\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\annuities\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\annuities\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\annuities.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tcauchy
  printlog "+- cauchy.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\cauchy.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\cauchy.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\cauchy.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\cauchy") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\cauchy\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\cauchy\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\cauchy\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\cauchy.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tchemicalelement
  printlog "+- chemicalelement.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\chemicalelement.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\chemicalelement.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\chemicalelement.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\chemicalelement") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\chemicalelement\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\chemicalelement\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\chemicalelement\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\chemicalelement.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tdefinitionstraightline
  printlog "+- definitionstraightline.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\definitionstraightline.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\definitionstraightline.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\definitionstraightline.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\definitionstraightline") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\definitionstraightline\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\definitionstraightline\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\definitionstraightline\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\definitionstraightline.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase teffectiveannualinterestrate
  printlog "+- effectiveannualinterestrate.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\effectiveannualinterestrate.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\effectiveannualinterestrate.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\effectiveannualinterestrate.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\effectiveannualinterestrate") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\effectiveannualinterestrate\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\effectiveannualinterestrate\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\effectiveannualinterestrate\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\effectiveannualinterestrate.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase thamiltonoperator
  printlog "+- hamiltonoperator.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\hamiltonoperator.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\hamiltonoperator.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\hamiltonoperator.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\hamiltonoperator") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\hamiltonoperator\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\hamiltonoperator\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\hamiltonoperator\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\hamiltonoperator.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tinvestmentreturns
  printlog "+- investmentreturns.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\investmentreturns.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\investmentreturns.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\investmentreturns.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\investmentreturns") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\investmentreturns\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\investmentreturns\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\investmentreturns\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\investmentreturns.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tlawoferrorpropagation
  printlog "+- lawoferrorpropagation.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\lawoferrorpropagation.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\lawoferrorpropagation.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\lawoferrorpropagation.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\lawoferrorpropagation") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\lawoferrorpropagation\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\lawoferrorpropagation\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\lawoferrorpropagation\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\lawoferrorpropagation.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tlimes
  printlog "+- limes.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\limes.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\limes.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\limes.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\limes") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\limes\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\limes\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\limes\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\limes.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tlinearregression
  printlog "+- linearregression.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\linearregression.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\linearregression.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\linearregression.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\linearregression") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\linearregression\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\linearregression\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\linearregression\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\linearregression.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tmaxwell
  printlog "+- maxwell.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\maxwell.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\maxwell.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\maxwell.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\maxwell") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\maxwell\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\maxwell\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\maxwell\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\maxwell.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tscalarproduct
  printlog "+- scalarproduct.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\scalarproduct.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\scalarproduct.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\scalarproduct.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\scalarproduct") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\scalarproduct\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\scalarproduct\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\scalarproduct\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\scalarproduct.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tsinus
  printlog "+- sinus.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\sinus.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\sinus.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\sinus.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\sinus") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\sinus\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\sinus\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\sinus\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\sinus.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tsquareroot
  printlog "+- squareroot.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\squareroot.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\squareroot.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\squareroot.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\squareroot") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\squareroot\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\squareroot\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\squareroot\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\squareroot.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tstandarddeviation
  printlog "+- standarddeviation.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\standarddeviation.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\standarddeviation.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\standarddeviation.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\standarddeviation") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\standarddeviation\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\standarddeviation\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\standarddeviation\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\standarddeviation.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase tvectorproduct
  printlog "+- vectorproduct.smf"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\math\vectorproduct.smf"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\math\update\vectorproduct.sxm") , gMathFilter) = TRUE then
    call hCloseDocument
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\math\update\vectorproduct.sxm") , gOfficePath & ConvertPath("user\work\xml\math\update\vectorproduct") )
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\vectorproduct\meta.xml")) = FALSE then
     warnlog "XML-file 'meta.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\vectorproduct\settings.xml")) = FALSE then
     warnlog "XML-file 'settings.xml' not well formed!"
   end if
   if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\math\update\vectorproduct\content.xml")) = FALSE then
     warnlog "XML-file 'content.xml' not well formed!"
    else
     call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\math\update\vectorproduct.sxm"))
     sleep(2)
     call hCloseDocument
     sleep(2)
   end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

